mui.init( {
  swipeBack: true
} );
mui.plusReady( function () {
  var self = plus.webview.currentWebview();
  self.addEventListener( "hide", function ( e ) {
    vm.resetData();
  }, false );
} )

var vm = new Vue( {
  el: '.mui-content',
  data: {
    content: {},
    flag: false, // true是编辑false是添加
    isSaving:false
  },
  methods: {
    resetData: function () { //重置数据
      this.content = {};
      this.flag = false;
    },
    save: function () {
      var _this = this;
      this.isSaving = true;
      setTimeout(function(){
        _this.isSaving = false;
      },500)
      var saveUrl = this.flag?"/Address/saveAddress":"/Address/addAddress"
      var isActive = $(".mui-switch").hasClass("mui-active");
      if(isActive){
        this.content.is_default = '1';
      }else{
        this.content.is_default = '0';
      }
      if(!this.content.receiver){
          mui.toast('请输入收货人');
      }else if(!this.content.phone){
          mui.toast('请输入联系电话');
      }else if(!this.content.province){
          mui.toast('请选择所在地区');
      }else if(!this.content.street || this.content.street.length<5){
          mui.toast('请填写详细地址，最少5个字');
      }else{
        $ajax(saveUrl,this.content,function(res){
          if(res.status == 200){
            mui.toast(res.msg);

            var view = plus.webview.getWebviewById("edit_address.html");
            var view1 = plus.webview.getWebviewById("edit_task.html");
            var view2 = plus.webview.getWebviewById("receive_detail.html");

            mui.fire(view,'Emoreaddress');
            mui.fire(view1, 'Eaddress', {
              'address': _this.content
            });
            mui.fire(view2, 'Eaddress', {
              'address': _this.content
            });
            mui.back();

          }else{
            mui.toast(res.msg);
          }
        })
      }
    }
  },
  computed: {
    myAddress: function () {
      if( this.content.province ) {
        return this.content.province + ' ' + this.content.city + ' ' + this.content.county;
      } else {
        return '请选择';
      }
    }
  }

} );

//监听自定义事件，获取详情
document.addEventListener( 'edit', function ( event ) {
  //通过event.detail可获得传递过来的参数内容
  if( event.detail.editObject ) {
    vm.flag = true;
    vm.content = event.detail.editObject;
    $(".mui-title").text('编辑收货地址');
  } else {
    vm.flag = false;
    $(".mui-title").text('新添加地址');
    vm.content = {};
  }
} );

//重写返回逻辑
mui.back = function () {
  plus.webview.currentWebview().hide( 'auto', 300 );
}

$( ".area-cell" ).on( "tap", function () {
  var $that = $( this );
  var _getParam = function ( obj, param ) {
    return obj[ param ] || '';
  };
  var cityPicker3 = new mui.PopPicker( {
    layer: 3
  } );
  cityPicker3.setData( cityData3 );
  cityPicker3.show( function ( items ) {
    $( ".mui-pull-right" ).text( _getParam( items[ 0 ], 'text' ) + " " + _getParam( items[ 1 ], 'text' ) + " " + _getParam( items[ 2 ], 'text' ) );
    vm.content.province = items[ 0 ][ 'text' ];
    vm.content.city = items[ 1 ][ 'text' ];
    vm.content.county = items[ 2 ][ 'text' ];
  } );
} );
