mui.init({
  swipeBack: true
});

var vm = new Vue({
  el:'.mui-content',
  data:{
    bankcardInfo:{},
    bankList:[],//银行卡类型
    isSend:false,//验证码发送标志（计时器的标志）
    time:60,
    comeFrom:''//来源，提现、充值、我的银行卡
  },
  computed:{
    textStr(){
      return str = this.time==60?'发送验证码':this.time+'s'
    }
  },
  created(){
    var _this = this;
    $ajax("/UserCenter/CardList",{},function(res){
      if(res.status == 200){
        for (var i in res.content) {
          var tempObj = {}
          tempObj.value = res.content[i].bank_id;
          tempObj.text = res.content[i].name;
          _this.bankList.push(tempObj);
        }
      }
    })
  },
  mounted(){
    var _this = this;
    mui.plusReady(function () {
      var self = plus.webview.currentWebview();
      _this.comeFrom = self.comefrom;
    })
  },
  methods:{
    //确定添加银行卡
    addBankCard(){
      if(!this.bankcardInfo.holder){
        mui.toast('请输入持卡人姓名');
      }else if(!this.bankcardInfo.number){
        mui.toast('请输入银行卡卡号');
      }else if(!this.bankcardInfo.bank_id){
        mui.toast('请选择银行卡类型');
      }else if(!this.bankcardInfo.phone){
        mui.toast('请输入手机号码');
      }else if(!(/^1[34578]\d{9}$/.test(this.bankcardInfo.phone))){
        mui.toast('手机号码格式错误');
      }else if(!this.bankcardInfo.code){
        mui.toast('验证码不能为空');
      }else{
        var _this = this;
        console.log(_this.comeFrom)
        $ajax("/UserCenter/addBankCard",_this.bankcardInfo,function(res){
          if(res.status == 200){
            mui.alert(res.msg,function(){
              var webview = plus.webview.getWebviewById(_this.comeFrom+'.html');
              mui.fire(webview,'addSuccess');
              mui.back();
            });
          }else{
            mui.toast(res.msg);
          }
        });
      }
    },
    //发送验证码
    sendCode(){
        var _this = this;
      if(!this.bankcardInfo.phone){
        mui.alert('请输入手机号码');
      }else if(!(/^1(3[0-9]|4[57]|5[0-35-9]|8[0-9]|7[0-9])\d{8}$/.test(this.bankcardInfo.phone))){
        mui.alert('手机号码格式错误');
      }else{
        this.isSend = true;
        if(this.isSend){
          this.count();
        }
        $ajax("/Sms/send_code",{phone:_this.bankcardInfo.phone},function(res){
            mui.toast(res.msg)
        });
      }
    },
    stopCount(){
      this.isSend = false;
      this.time = 60;
    },
    count(){
      var _this = this;
      if(_this.isSend){
        _this.time--;
        setTimeout(function(){
          _this.count();
          if(_this.time<=0){
            _this.stopCount();
          }
        },1000);
      }
    }
  }
})

//选择卡类型事件
$(".card-cell").on("tap", function() {
    var $that = $(this);
    var userPicker = new mui.PopPicker();
    var that = this;
    userPicker.setData(vm.bankList);
    userPicker.show(function(items) {
      $that.find(".mui-pull-right ").text(items[0].text);
      vm.bankcardInfo.bank_id = items[0].value;
  });
});