mui.init({
	swipeBack: true,
	preloadPages: [{
		id: 'model.html',
		url: '../Ebusiness/model.html'
	}]
});
mui.plusReady(function() {
	document.querySelector(".license-btn").onclick = function() {
		imgUp("license");
	}
	document.querySelector(".frontal-btn").onclick = function() {
		imgUp("frontal_photo");
	}
	document.querySelector(".back-btn").onclick = function() {
		imgUp("back_photo");
	}

})

//图片上传  target为后台接收的图片字段名称
function imgUp(target) {
	plus.nativeUI.actionSheet({
		cancel: "取消",
		buttons: [{
				title: "拍照"
			},
			{
				title: "从相册中选择"
			}
		]
	}, function(e) { //1 是拍照  2 从相册中选择 
		switch(e.index) {
			case 1:
				plus.camera.getCamera().captureImage(function(e) {
					plus.io.resolveLocalFileSystemURL(e, function(entry) {
						var path = entry.toLocalURL();
						plus.zip.compressImage({
							src: path,
							dst: "_doc/chat/camera/" + path,
							quality: 20,
							overwrite: true
						}, function(e) {
							var wt = plus.nativeUI.showWaiting();
							var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
									method: "POST"
								},
								function(t, status) { //上传完成
									if(status == 200) {
										var obj = JSON.parse(t.responseText);
										var url = obj.content.url;
										vm.$set(vm.listData, target, url);
										vm.$set(vm.listData, 'local_' + target, path);
										wt.close(); //关闭等待提示按钮
									} else {
										alert("上传失败：" + status);
										wt.close(); //关闭等待提示按钮
									}
								}
							);
							task.addData("type", "YiShang");
							task.addFile(e.target, {
								key: "img"
							});
							task.start();
						}, function(err) {
							console.log("压缩失败：  " + err.message);
						});
					}, function(e) {
						mui.toast("读取拍照文件错误：" + e.message);
					});
				});
				break;
			case 2:
				plus.gallery.pick(function(path) {
					plus.zip.compressImage({
						src: path,
						dst: "_doc/chat/gallery/" + path,
						quality: 20,
						overwrite: true
					}, function(e) {
						var wt = plus.nativeUI.showWaiting();
						var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
								method: "POST"
							},
							function(t, status) { //上传完成
								if(status == 200) {
									var obj = JSON.parse(t.responseText);
									var url = obj.content.url;
									vm.$set(vm.listData, target, url);
									vm.$set(vm.listData, 'local_' + target, path);
									wt.close(); //关闭等待提示按钮
								} else {
									alert("上传失败：" + status);
									wt.close(); //关闭等待提示按钮
								}
							}
						);
						task.addData("type", "YiShang");
						task.addFile(e.target, {
							key: "img"
						});
						task.start();
					}, function(err) {
						console.error("压缩失败：" + err.message);
					});
				});
				break;
		}
	});
}

var vm = new Vue({
	el: ".mui-content",
	data: {
		isSend: false, //验证码发送标志（计时器的标志）
		time: 60,
		listData: {}
	},
	computed: {
		textStr() {
			return str = this.time == 60 ? '发送验证码' : this.time + 's'
		}
	},
	created: function() {
		$ajax("/Certificate/fill_in", {}, function(res) {
			if(res.status == 200) {
				for(var attr in res.content) {
					if(res.content[attr] != null) {
						vm.$set(vm.listData, attr, res.content[attr]);
					}
				}
				if(res.content.back_photo != null) {
					vm.$set(vm.listData, "local_back_photo", imgRoot + res.content.back_photo);
				}
				if(res.content.license != null) {
					vm.$set(vm.listData, "local_license", imgRoot + res.content.license);
				}
				if(res.content.frontal_photo != null) {
					vm.$set(vm.listData, "local_frontal_photo", imgRoot + res.content.frontal_photo);
				}
			}
		})
	},
	methods: {
		//删除图片
		deleteImg: function(target) {
			var that=this;
			mui.confirm('确认删除该图片吗？', ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					that.$set(that.listData,target,'');
					that.$set(that.listData,'local_'+target,'');
				}
			}, 'div')
		},
		//发送验证码
		sendCode: function() {
			var _this = this;
			if(!this.listData.phone) {
				mui.alert('请输入手机号码');
			} else if(!(/^1(3[0-9]|4[57]|5[0-35-9]|8[0-9]|7[0-9])\d{8}$/.test(this.listData.phone))) {
				mui.alert('手机号码格式错误');
			} else {
				this.isSend = true;
				if(this.isSend) {
					this.count();
				}
				$ajax("/Sms/send_code", {
					phone: _this.listData.phone
				}, function(res) {
					mui.toast(res.msg)
				});
			}
		},
		stopCount: function() {
			this.isSend = false;
			this.time = 60;
		},
		count: function() {
			var _this = this;
			if(_this.isSend) {
				_this.time--;
				setTimeout(function() {
					_this.count();
					if(_this.time <= 0) {
						_this.stopCount();
					}
				}, 1000);
			}
		},
		//确定事件
		submit: function() {
			if(!this.listData.company || this.listData.company.match(/^\s*$/)) {
				mui.toast("公司名称不能为空！");
				return;
			} else if(!this.listData.license && !this.listData.frontal_photo && !this.listData.back_photo) {
				mui.toast("请先上传营业执照或身份证！");
				return;
			} else if(!this.listData.license && (!this.listData.frontal_photo || !this.listData.back_photo)) {
				mui.toast("身份证正反面缺一不可！");
				return;
			} else if(!(/^1[34578]\d{9}$/.test(this.listData.phone))) {
				mui.toast("手机号码格式错误");
				return;
			} else if(!this.listData.code || this.listData.code.match(/^\s*$/)) {
				mui.toast("验证码错误");
				return;
			}
			$ajax("/Certificate/saveCert", this.listData, function(res) {
				if(res.status == 200) {
					mui.alert('工作人员会在2个工作日内进行确认', '您的认证已提交成功', function() {
						var detailPage = null;
						detailPage = plus.webview.getWebviewById('model.html');
						mui.fire(detailPage, 'pageIndex', {
							index: 0
						});
						$open("../Ebusiness/model.html", "model.html");
					})
				} else {
					mui.toast(res.msg);
				}
			})
		}
	}
})
//照片预览功能
mui.previewImage();