mui.init({
	swipeBack: true
});
var vm = new Vue({
	el: '.mui-content',
	data: {
		order_id: '',
		sizeList: [],
		picture: []
	},
	created: function() {
		var that = this;
		mui.plusReady(function() {
			var old_back = mui.back;
			mui.back = function() {
				plus.webview.getWebviewById('receive_detail.html').reload(true);
				old_back();
			}
			var self = plus.webview.currentWebview();
			that.order_id = self.order_id;
			$ajax("/UndertakeOrder/getFinished", {
				'order_id': that.order_id
			}, function(res) {
				if(res.status == 200) {
					if(res.content.size) {
						that.sizeList = res.content.size;
						that.sizeList.forEach(function(item, index) {
							that.$set(item, 'show', true);
						})
					}
					if(res.content.picture) {
						that.picture = res.content.picture;
					}
				}
			})
		})
	},
	methods: {
		//确认上传
		confirmUpload: function() {
			var that = this;
			var bool = true;
			that.sizeList.forEach(function(item, index) {
				if(item.l_demanding_account < item.l_done_account || item.m_demanding_account < item.m_done_account || item.s_demanding_account < item.s_done_account || item.xl_demanding_account < item.xl_done_account || item.xs_demanding_account < item.xs_done_account || item.xxl_demanding_account < item.xxl_done_account || item.xxxl_demanding_account < item.xxxl_done_account || item.xxxxl_demanding_account < item.xxxxl_done_account) {
					mui.toast('完成量不能大于需求量');
					bool = false;
					return;
				}
			})
			if(bool) {
				$ajax("/UndertakeOrder/submitFinished", {
					'order_id': that.order_id,
					'complete': that.sizeList,
					'picture': that.picture
				}, function(res) {
					if(res.status == 200) {
						mui.alert("上传成功！",' ',['确定'],function(){},'div');
					}
				})
			}
		},
		//发送快递
		sendExpress: function() {
			$open('order_express.html', 'order_express.html', {
				'order_id': this.order_id,
				'type': 4
			});
		},
		//图片删除
		deleteImg: function(k) {
			var that = this;
			mui.confirm( '确认要删除该成品照片吗？',' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					var arr = that.picture;
					arr.splice(k, 1);
					that.$set(that, 'picture', arr);
				}
			},'div')
		},
		//上传图片
		imgUp: function(target) {
			var that = this;
			mui.plusReady(function() {
				plus.nativeUI.actionSheet({
					cancel: "取消",
					buttons: [{
							title: "拍照"
						},
						{
							title: "从相册中选择"
						}
					]
				}, function(e) { //1 是拍照  2 从相册中选择 
					switch(e.index) {
						case 1:
							plus.camera.getCamera().captureImage(function(e) {
								plus.io.resolveLocalFileSystemURL(e, function(entry) {
									var path = entry.toLocalURL();
									plus.zip.compressImage({
										src: path,
										dst: "_doc/chat/camera/" + path,
										quality: 20,
										overwrite: true
									}, function(e) {
										var wt = plus.nativeUI.showWaiting();
										var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
												method: "POST"
											},
											function(t, status) { //上传完成
												if(status == 200) {
													var obj = JSON.parse(t.responseText);
													var url = obj.content.url;
													var arr = that.picture;
													arr.push(url);
													that.$set(that, 'picture', arr);
													wt.close(); //关闭等待提示按钮
												} else {
													alert("上传失败：" + status);
													wt.close(); //关闭等待提示按钮
												}
											}
										);
										task.addData("type", "YiShang");
										task.addFile(e.target, {
											key: "img"
										});
										task.start();
									}, function(err) {
										console.log("压缩失败：  " + err.message);
									});
								}, function(e) {
									mui.toast("读取拍照文件错误：" + e.message);
								});
							});
							break;
						case 2:
							plus.gallery.pick(function(path) {
								plus.zip.compressImage({
									src: path,
									dst: "_doc/chat/gallery/" + path,
									quality: 20,
									overwrite: true
								}, function(e) {
									var wt = plus.nativeUI.showWaiting();
									var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
											method: "POST"
										},
										function(t, status) { //上传完成
											if(status == 200) {
												var obj = JSON.parse(t.responseText);
												var url = obj.content.url;
												var arr = that.picture;
												arr.push(url);
												that.$set(that, 'picture', arr);
												wt.close(); //关闭等待提示按钮
											} else {
												alert("上传失败：" + status);
												wt.close(); //关闭等待提示按钮
											}
										}
									);
									task.addData("type", "YiShang");
									task.addFile(e.target, {
										key: "img"
									});
									task.start();
								}, function(err) {
									console.error("压缩失败：" + err.message);
								});
							});
							break;
					}
				});
			})
		}
	}
})
//照片预览功能
mui.previewImage();