mui.init();

var vm = new Vue( {
  el: '.mui-content',
  data: {
    myInfo: {},
    fabric_category_list: [], //面料大类
    o_category_list: [], //类目
    channel_list: [], //来源渠道
    isEdit:false
  },
  computed: {
    //公司地址
    companyProvince: function () {
      if( this.myInfo.province ) {
        return this.myInfo.province + ' ' + this.myInfo.city + ' ' + this.myInfo.county;
      } else {
        return '';
      }
    },
    //熟悉区域
    site() {
      var str = '',
        siteArr = this.myInfo.site,
        tempArr = [];
      for( var i in siteArr ) {
        tempArr.push( siteArr[ i ].site_name.province + "-" + siteArr[ i ].site_name.city + "-" + siteArr[ i ].site_name.county );
      }
      str = tempArr.join( "、" );
      return str;
    },
    //面料大类
    materails() {
      var str = '',
        fabricArray = this.myInfo.fabric_category,
        tempArr = [],
        tempFabricId = [];
      for( var i in fabricArray ) {
        tempArr.push( fabricArray[ i ].category_name );
        tempFabricId.push( fabricArray[ i ].category_id );
      }
      this.myInfo.fabric_category_id = tempFabricId;
      str = tempArr.join( '、' );
      return str;
    },
    //类目品类
    style() {
      var str = '',
        categoryArray = this.myInfo.o_category;
      tempArr = [],
        tempCategoryId = [];
      for( var i in categoryArray ) {
        tempArr.push( categoryArray[ i ].cate_name );
        tempCategoryId.push( categoryArray[ i ].cate_id );
      }
      this.myInfo.o_category_id = tempCategoryId;
      str = tempArr.join( '、' );
      return str;
    },
    //接单渠道
    channel() {
      var str = '',
        channelArray = this.myInfo.channel,
        tempArr = [],
        tempChannelId = [];
      for( var i in channelArray ) {
        tempArr.push( channelArray[ i ].channel_name );
        tempChannelId.push( channelArray[ i ].channel_id );
      }
      this.myInfo.channel_id = tempChannelId;
      str = tempArr.join( '、' );
      return str;
    }
  },
  methods:{
    sure(){
     var _this = this;
     if( !this.myInfo.county_id ) {
        mui.toast( '请选择联系地址' )
      } else if( !this.myInfo.address ) {
        mui.toast( "请输入详细地址" );
      } else {
       $ajax( "/Agency/detailSave", _this.myInfo, function ( res ) {
        mui.alert( res.msg, function () {
          var company = plus.webview.getWebviewById( 'my_setting.html' );
          //触发列表界面的自定义事件（refresh）,从而进行数据刷新
          mui.fire( company, 'refresh' );
          _this.myInfo = {};
          mui.back();
        } )
      } )
     }
    }
  },
  created() {
    var _this = this;
    $ajax( '/Agency/companyDetails', {}, function ( res ) {
      if( res.status == 200 ) {
        _this.myInfo = res.content;
      } else {
        mui.toast( res.msg );
      }
    } )
    /**
     * 获取面料大类
     */
    $ajax( "/Agency/getFabricCategory", {}, function ( res ) {
      if( res.status == 200 ) {

        for( var i in res.content ) {
          var tempObj = {}
          tempObj.value = res.content[ i ].category_id;
          tempObj.text = res.content[ i ].category_name;
          _this.fabric_category_list.push( tempObj );
        }

      } else {
        mui.alert( res.msg );
      }
    } )

    /**
     * 获取类目列表
     */
    $ajax( "/Agency/getCategory", {}, function ( res ) {
      if( res.status == 200 ) {
        for( var i in res.content ) {
          var tempObj = {}
          tempObj.value = res.content[ i ].cate_id;
          tempObj.text = res.content[ i ].cate_name;
          _this.o_category_list.push( tempObj );
        }
      } else {
        mui.alert( res.msg );
      }
    } )

    /**
     * 获取来源渠道
     */
    $ajax( "/Agency/getChannel", {}, function ( res ) {
      if( res.status == 200 ) {
        for( var i in res.content ) {
          var tempObj = {}
          tempObj.value = res.content[ i ].channel_id;
          tempObj.text = res.content[ i ].channel_name;
          _this.channel_list.push( tempObj );
        }
      } else {
        mui.alert( res.msg );
      }
    } )

  }
} )


$( ".edit-btn" ).on( "tap", function () {
  vm.isEdit = !vm.isEdit;

  if( $( this ).text() == '编辑' ) {
    $( this ).text( "取消" );
  } else {
    $( this ).text( "编辑" );
  }
} )

/**
 * 选择省市区
 */
$( ".mui-input" ).on( "tap",'.area-cell', function () {
  var $that = $( this );
  var _getParam = function ( obj, param ) {
    return obj[ param ] || '';
  };
  var cityPicker3 = new mui.PopPicker( {
    layer: 3
  } );
  cityPicker3.setData( cityData3 );
  cityPicker3.show( function ( items ) {
    vm.companyProvince = _getParam( items[ 0 ], 'text' ) + " " + _getParam( items[ 1 ], 'text' ) + " " + _getParam( items[ 2 ], 'text' );
    vm.myInfo.province = _getParam( items[ 0 ], 'text' );
    vm.myInfo.city = _getParam( items[ 1 ], 'text' );
    vm.myInfo.county = _getParam( items[ 2 ], 'text' );
    vm.myInfo.province_id = _getParam( items[ 0 ], 'value' );
    vm.myInfo.city_id = _getParam( items[ 1 ], 'value' );
    vm.myInfo.county_id = _getParam( items[ 2 ], 'value' );
  } );
} );

//面料大类选择
$( ".materails-btn" ).on( "tap", function () {
  var input = document.getElementsByTagName("input");
  for(var i = 0; i < input.length; i++) {
    input[i].blur();
  }
  var $that = $( this );
  if( $that.closest( "ul" ).hasClass( "able-edit" ) ) {
    var materailsPicker = new mui.PopPicker();
    var that = this;
    materailsPicker.setData( vm.fabric_category_list );
    materailsPicker.show( function ( items ) {
      var bool = true;
      var materailsArr = $that.find( ".text" ).text().split( "、" );
      if( materailsArr.length ) {
        for( var i = 0; i < materailsArr.length; i++ ) {
          if( materailsArr[ i ] == items[ 0 ].text ) {
            bool = false;
            mui.toast( "您已添加过该选项" );
            return;
          }
        }
      }
      if( bool ) {
        tempObj={};
        tempObj.category_id = items[0].value;
        tempObj.category_name = items[0].text;
        vm.myInfo.fabric_category.push( tempObj );
      }
    } );
  }
} );

//类目选择
$( ".type-btn" ).on( "tap", function () {
  var input = document.getElementsByTagName("input");
  for(var i = 0; i < input.length; i++) {
    input[i].blur();
  }
  var $that = $( this );
  if( $that.closest( "ul" ).hasClass( "able-edit" ) ) {
    var typePicker = new mui.PopPicker();
    var that = this;
    typePicker.setData( vm.o_category_list );

    typePicker.show( function ( items ) {
      var bool = true;
      var typeArr = $that.find( ".text" ).text().split( "、" );
      if( typeArr.length ) {
        for( var i = 0; i < typeArr.length; i++ ) {
          if( typeArr[ i ] == items[ 0 ].text ) {
            bool = false;
            mui.toast( "您已添加过该选项" );
            return;
          }
        }
      }
      if( bool ) {
        tempObj={};
        tempObj.cate_id = items[0].value;
        tempObj.cate_name = items[0].text;
        vm.myInfo.o_category.push( tempObj );
      }
    } );
  }
} );

//订单来源渠道选择
$( ".ways-btn" ).on( "tap", function () {
  var input = document.getElementsByTagName("input");
  for(var i = 0; i < input.length; i++) {
    input[i].blur();
  }
  var $that = $( this );
  if( $that.closest( "ul" ).hasClass( "able-edit" ) ) {
    var waysPicker = new mui.PopPicker();
    var that = this;
    waysPicker.setData( vm.channel_list );

    waysPicker.show( function ( items ) {
      var bool = true;
      var waysArr = $that.find( ".text" ).text().split( "、" );
      if( waysArr.length ) {
        for( var i = 0; i < waysArr.length; i++ ) {
          if( waysArr[ i ] == items[ 0 ].text ) {
            bool = false;
            mui.toast( "您已添加过该选项" );
            return;
          }
        }
      }
      if( bool ) {
        tempObj={};
        tempObj.channel_id = items[0].value;
        tempObj.channel_name = items[0].text;
        vm.myInfo.channel.push( tempObj );
      }
    } );
  }
} );