mui.init({
	swipeBack: true
});

var vm = new Vue({
	el: ".mui-content",
	data: {
		addressList: []
	},
	created: function() {
		this.init();
	},
	methods: {
		init: function() {
			var _this = this;
			$ajax("/Address/index", {}, function(res) {
				if(res.status == 200) {
					_this.addressList = res.content;
				} else {
					mui.toast(res.msg);
				}
			})
		},
		setDefault: function(index) {
			var _this = this;
			var id = this.addressList[index].address_id;
			if(this.addressList[index].is_default == '0') {
				$ajax("/Address/setDefaultCity", {
					"address_id": id
				}, function(res) {
					mui.toast(res.msg);
					_this.addressList[index].is_default = '1';
					_this.addressList.forEach(function(ele, i) {
						if(i != index) {
							ele.is_default = '0';
						}
					})
				})
			}
		},
		del: function(index) {
			var _this = this;
			var id = _this.addressList[index].address_id;
			mui.confirm('确认要删除该收货地址吗？', '', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					$ajax('/Address/delAddress', {
						'address_id': id
					}, function(res) {
						if(res.status == 200) {
							mui.toast(res.msg);
							_this.addressList.splice(index, 1);
						} else {
							mui.alert(res.msg);
						}
					})
				}
			},'div');
		}
	}
})
//预加载添加页
var webview_add = null;
mui.plusReady(function() {
	webview_add = mui.preload({
		url: 'add_address.html',
		id: 'add_address.html'
	});
})

/**
 * @description 打开添加收货地址页面
 * @param {Object} item 编辑项对象
 */
function openAddress(item) {
	mui.fire(webview_add, 'edit', {
		editObject: item
	})
	setTimeout(function() {
		webview_add.show("slide-in-right", 300);
	}, 150)
}

//返回按钮
var oldBack = mui.back;
mui.back = function(){
  var address = {
    "receiver":"",
    "phone":"",
    "province":"",
    "city":"",
    "county":"",
    "street":"",
    "is_default":""};
  var view = plus.webview.getWebviewById("edit_task.html");
  var view1 = plus.webview.getWebviewById("receive_detail.html");

  vm.addressList.forEach(function(item, index) {
    if(item.is_default == '1') {
      address = item;
    }
  })

  mui.fire(view, 'Eaddress', {
    'address': address
  });
  mui.fire(view1, 'Eaddress', {
    'address': address
  });
//plus.webview.currentWebview().hide( "auto", 300 );
  oldBack();
}
document.querySelector(".mui-pull-left").onclick = function() {
	mui.back();
}

//监听添加地址返回值
window.addEventListener('Emoreaddress', function(event) {
	vm.init();
})