mui.init({
	swipeBack: true
});

var vm = new Vue({
	el: '.mui-content',
	data: {
		deleteShow: false,
		sizeList: []
	},
	created: function() {
		var that = this;
		mui.plusReady(function() {
			var self = plus.webview.currentWebview();
			var size = self.size;
			if(!size || !size.length) {
				that.sizeList = [{
					color: '',
					xs_demanding_account: 0,
					s_demanding_account: 0,
					m_demanding_account: 0,
					l_demanding_account: 0,
					xl_demanding_account: 0,
					xxl_demanding_account: 0,
					xxxl_demanding_account: 0,
					xxxxl_demanding_account: 0,
					show: true,
					count: 0
				}];
			} else {
				that.$set(that, 'sizeList', size);
				that.sizeList.forEach(function(item, index) {
					that.$set(item, 'show', true);
				})
				mui('.mui-numbox').numbox();
			}
			if(that.sizeList.length > 1) {
				document.querySelector(".mui-pull-right").style.display = "block";
			} else {
				document.querySelector(".mui-pull-right").style.display = "none";
			}
		})
	},
	watch: {
		sizeList: {
			handler: function(val, oldVal) {
				val.forEach(function(item) {
					item.count = Number(item.xs_demanding_account) + Number(item.s_demanding_account)+ Number(item.m_demanding_account)+ Number(item.l_demanding_account)+ Number(item.xl_demanding_account)+ Number(item.xxl_demanding_account)+ Number(item.xxxl_demanding_account)+ Number(item.xxxxl_demanding_account);
				})
			},
			deep: true
		}
	},
	methods: {
		//展开收起
		toggleShow: function(index) {
			this.sizeList[index].show = !this.sizeList[index].show;
//			if(!this.sizeList[index].show) {
//				this.sizeList[index].count = Number(this.sizeList[index].xs_demanding_account) + Number(this.sizeList[index].s_demanding_account) + Number(this.sizeList[index].m_demanding_account) + Number(this.sizeList[index].l_demanding_account) + Number(this.sizeList[index].xl_demanding_account) + Number(this.sizeList[index].xxl_demanding_account) + Number(this.sizeList[index].xxxl_demanding_account) + Number(this.sizeList[index].xxxxl_demanding_account)
//			}
		},
		//删除
		deleteItem: function(k) {
			var that = this;
			mui.confirm('确定删除该款色的尺码信息吗？', ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					if(that.sizeList.length == 2) {
						document.querySelector(".mui-pull-right").style.display = "none";
						that.deleteShow = false;
					}
					that.sizeList.splice(k, 1);
				}
			}, 'div')
		},
		//添加
		addSzie: function() {
			if(this.sizeList.length >= 1) {
				document.querySelector(".mui-pull-right").style.display = "block";
				document.querySelector(".mui-pull-right").innerHTML = "编辑";
				this.deleteShow = false;
			}
			this.sizeList.push({
				color: '',
				xs_demanding_account: 0,
				s_demanding_account: 0,
				m_demanding_account: 0,
				l_demanding_account: 0,
				xl_demanding_account: 0,
				xxl_demanding_account: 0,
				xxxl_demanding_account: 0,
				xxxxl_demanding_account: 0,
				show: true,
				count: 0
			})
		},
		//确定提交
		submit: function() {
			var that = this;
			var bool = true;
			for(var i = 0; i < that.sizeList.length; i++) {
				if(!that.sizeList[i].color || that.sizeList[i].color.match(/^\s*$/)) {
					bool = false;
					mui.toast("请填写颜色");
					return;
				}
			}
			if(bool) {
				for(var index = 0; index < that.sizeList.length; index++) {
					that.sizeList[index].count = Number(that.sizeList[index].xs_demanding_account) + Number(that.sizeList[index].s_demanding_account) + Number(that.sizeList[index].m_demanding_account) + Number(that.sizeList[index].l_demanding_account) + Number(that.sizeList[index].xl_demanding_account) + Number(that.sizeList[index].xxl_demanding_account) + Number(that.sizeList[index].xxxl_demanding_account) + Number(that.sizeList[index].xxxxl_demanding_account)
				}
				var view = plus.webview.getWebviewById("edit_task.html");
				mui.fire(view, 'Esize', {
					size: that.sizeList
				});
				mui.back();
			}
		}
	}
})
//编辑按钮
document.querySelector(".mui-pull-right").onclick = function() {
	vm.deleteShow = !vm.deleteShow;
	if(vm.deleteShow) {
		this.innerHTML = "取消";
	} else {
		this.innerHTML = "编辑";
	}
};