mui.init({
	swipeBack: true
});

var vm = new Vue({
	el: '.mui-content',
	data: {
		itemShow: false,
		listData: {}
	},
	created: function() {
		var that = this;
		mui.plusReady(function() {
			plus.nativeUI.showWaiting();
			var self = plus.webview.currentWebview();
			var img = self.img;
			if(!img || !img.front_picture) {
				that.listData = {
					front_picture: '', //正面照
					back_picture: '', //背面照
					left_picture: '', //左面照
					right_picture: '', //右面照
					part_picture: [], //局部细节图
					other_picture: [], //其他图片
					local_part_picture: [], //本地读取的局部细节图
					local_other_picture: [], //本地读取的其他图片
				}
				plus.nativeUI.closeWaiting();
			} else {
				that.$set(that, 'listData', img);
				setTimeout(function() {
					plus.nativeUI.closeWaiting();
				}, 1000)
			}
			if(that.listData.local_other_picture.length) {
				document.querySelector(".mui-pull-right").style.display = "block";
			} else {
				document.querySelector(".mui-pull-right").style.display = "none";
			}
		})
	},
	methods: {
		//图片删除
		deleteImg: function(target, k) {
			var that = this;
			mui.confirm('确认要删除该样衣照片吗？',' ',  ['取消', '确定'], function(e) {
				if(e.index == 1) {
					if(k == undefined) { //单图删除
						that.$set(that.listData, target, '');
						that.$set(that.listData, 'local_' + target, '');
					} else {
						if(target.indexOf("#") != -1) { //删除其他图片里的图片
							var index1 = target.substr(1);
							var arr1 = that.listData.other_picture;
							var arr2 = that.listData.local_other_picture;
							arr1[index1]['sub_picture'].splice(k, 1);
							arr2[index1]['sub_picture'].splice(k, 1);
							that.$set(that.listData, 'other_picture', arr1);
							that.$set(that.listData, 'local_other_picture', arr2);
						} else { //局部细节图里的图片删除
							var arr1 = that.listData[target];
							var arr2 = that.listData['local_' + target];
							arr1.splice(k, 1);
							arr2.splice(k, 1);
							that.$set(that.listData, target, arr1);
							that.$set(that.listData, 'local_' + target, arr2);
						}
					}
				}
			},'div')
		},
		//添加其他图片
		addItem: function() {
			var arr1 = this.listData.other_picture;
			var arr2 = this.listData.local_other_picture;
			arr1.push({
				title: '',
				sub_picture: []
			});
			arr2.push({
				title: '',
				sub_picture: []
			});
			this.itemShow = false;
			this.$set(this.listData, 'other_picture', arr1);
			this.$set(this.listData, 'local_other_picture', arr2);
			if(this.listData.other_picture.length >= 1) {
				document.querySelector(".mui-pull-right").style.display = "block";
				document.querySelector(".mui-pull-right").innerHTML = "编辑";
				this.itemShow = false;
			}
			this.$nextTick(function() {
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0005
				});
			})
		},
		//删除其他图片的某个大类别
		deleteOther: function(k) {
			var that=this;
			mui.confirm('确认要删除该图片组吗？',' ',  ['取消', '确定'], function(e) {
				if(e.index == 1) {
					if(that.listData.other_picture.length==1){
						document.querySelector(".mui-pull-right").style.display = "none";
					}
					var arr1 = that.listData.other_picture;
					var arr2 = that.listData.local_other_picture;
					arr1.splice(k, 1);
					arr2.splice(k, 1);
					that.$set(that.listData, 'other_picture', arr1);
					that.$set(that.listData, 'local_other_picture', arr2);
				}
			},'div')
		},
		//确定提交
		submit: function() {
			var that = this;
			if(!that.listData.front_picture) {
				mui.toast("请先上传正面全览照");
				return;
			} else if(!that.listData.back_picture) {
				mui.toast("请先上传背面全览照");
				return;
			} else if(!that.listData.left_picture) {
				mui.toast("请先上传左侧全览照");
				return;
			} else if(!that.listData.right_picture) {
				mui.toast("请先上传右侧全览照");
				return;
			} else {
				var view = plus.webview.getWebviewById("edit_task.html");
				mui.fire(view, 'Eimg', {
					img: that.listData
				});
				mui.back();
			}
		},
		//图片上传
		imgUp: function(target) {
			var that = this;
			mui.plusReady(function() {
				plus.nativeUI.actionSheet({
					cancel: "取消",
					buttons: [{
							title: "拍照"
						},
						{
							title: "从相册中选择"
						}
					]
				}, function(e) { //1 是拍照  2 从相册中选择 
					switch(e.index) {
						case 1:
							plus.camera.getCamera().captureImage(function(e) {
								plus.io.resolveLocalFileSystemURL(e, function(entry) {
									var path = entry.toLocalURL();
									plus.zip.compressImage({
										src: path,
										dst: "_doc/chat/camera/" + path,
										quality: 20,
										overwrite: true
									}, function(e) {
										var wt = plus.nativeUI.showWaiting();
										var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
												method: "POST"
											},
											function(t, status) { //上传完成
												if(status == 200) {
													var obj = JSON.parse(t.responseText);
													var url = obj.content.url;
													if(target.indexOf("#") != -1) {
														var k = target.substr(1);
														var arr1 = that.listData.other_picture;
														var arr2 = that.listData.local_other_picture;
														arr1[k].sub_picture.push(url);
														arr2[k].sub_picture.push(path);
														that.$set(that.listData, 'other_picture', arr1);
														that.$set(that.listData, 'local_other_picture', arr2);
													} else if(typeof that.listData[target] == 'string') {
														that.$set(that.listData, target, url);
														that.$set(that.listData, 'local_' + target, path);
													} else {
														var arr1 = that.listData[target];
														var arr2 = that.listData['local_' + target];
														arr1.push(url);
														arr2.push(path);
														that.$set(that.listData, target, arr1);
														that.$set(that.listData, 'local_' + target, arr2);
													}
													wt.close(); //关闭等待提示按钮
												} else {
													alert("上传失败：" + status);
													wt.close(); //关闭等待提示按钮
												}
											}
										);
										task.addData("type", "YiShang");
										task.addFile(e.target, {
											key: "img"
										});
										task.start();
									}, function(err) {
										console.log("压缩失败：  " + err.message);
									});
								}, function(e) {
									mui.toast("读取拍照文件错误：" + e.message);
								});
							});
							break;
						case 2:
							plus.gallery.pick(function(path) {
								plus.zip.compressImage({
									src: path,
									dst: "_doc/chat/gallery/" + path,
									quality: 20,
									overwrite: true
								}, function(e) {
									var wt = plus.nativeUI.showWaiting();
									var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
											method: "POST"
										},
										function(t, status) { //上传完成
											if(status == 200) {
												var obj = JSON.parse(t.responseText);
												var url = obj.content.url;
												if(target.indexOf("#") != -1) {
													var k = target.substr(1);
													var arr1 = that.listData.other_picture;
													var arr2 = that.listData.local_other_picture;
													arr1[k].sub_picture.push(url);
													arr2[k].sub_picture.push(path);
													that.$set(that.listData, 'other_picture', arr1);
													that.$set(that.listData, 'local_other_picture', arr2);
												} else if(typeof that.listData[target] == 'string') {
													that.$set(that.listData, target, url);
													that.$set(that.listData, 'local_' + target, path);
												} else {
													var arr1 = that.listData[target];
													var arr2 = that.listData['local_' + target];
													arr1.push(url);
													arr2.push(path);
													that.$set(that.listData, target, arr1);
													that.$set(that.listData, 'local_' + target, arr2);
												}
												wt.close(); //关闭等待提示按钮
											} else {
												alert("上传失败：" + status);
												wt.close(); //关闭等待提示按钮
											}
										}
									);
									task.addData("type", "YiShang");
									task.addFile(e.target, {
										key: "img"
									});
									task.start();
								}, function(err) {
									console.error("压缩失败：" + err.message);
								});
							});
							break;
					}
				});
			})
		}
	}
})
//编辑功能
document.querySelector(".mui-pull-right").onclick = function() {
	if(vm.listData.other_picture.length) {
		vm.itemShow = !vm.itemShow;
		if(vm.itemShow) {
			this.innerHTML = "取消";
		} else {
			this.innerHTML = "编辑";
		}
	}
}
//照片预览功能
mui.previewImage();