mui.init({
	swipeBack: true
})
var vm = new Vue({
	el: '.mui-content',
	data: {
		deleteShow: false, //删除辅面料的按钮显示隐藏
		index: 0, //当前操作的索引
		disable: false, //解决弹窗的bug
		componentList: [], //面料成分列表
		componentVal: '', //面料成分弹窗绑定的val
		fabricData: [{
			is_main: 1,
			name: '',
			component: '',
			componentText: '',
			units: '厘米',
			weight: '',
			picture: [],
			local_picture: []
		}]
	},
	created: function() {
		var that = this;
		$ajax("/Receipt/getFabric", {}, function(res) {
			if(res.status == 200) {
				that.componentList = res.content.component;
				if(res.content.component.length > 5) {
					document.getElementById("componentPopover").style.height = "260px";
				} else {
					var height = 44 * (res.content.component.length + 1);
					document.getElementById("componentPopover").style.height = height + "px";
				}
			}
		})
		mui.plusReady(function() {
			var self = plus.webview.currentWebview();
			var fabric = self.fabric;
			if(!fabric.length || !fabric[0].name) {
				that.fabricData = [{
					is_main: 1,
					name: '',
					component: '',
					componentText: '',
					weight: '',
					grammage: '',
					width: '',
					units: '厘米',
					picture: [],
					local_picture: []
				}]
			} else {
				that.$set(that, 'fabricData', fabric);
			}
			if(that.fabricData.length > 1) {
				document.querySelector(".mui-pull-right").style.display = "block";
			} else {
				document.querySelector(".mui-pull-right").style.display = "none";
			}
			that.$nextTick(function() {
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0005
				});
			})
		})
	},
	methods: {
		//弹窗内确认事件
		popupConfirm: function(k) {
			for(var i = 0; i < this.componentList.length; i++) {
				if(this.componentVal == this.componentList[i]['component_id']) {
					this.fabricData[this.index]['component'] = this.componentVal;
					this.fabricData[this.index]['componentText'] = this.componentList[i]['component_name'];
				}
			}
			mui('.mui-popover').popover('hide');
		},
		//弹窗出现事件
		showPopup: function(index) {
			this.index = index;
			if(this.fabricData[index]['component']) {
				this.componentVal = this.fabricData[index]['component'];
			} else {
				this.componentVal = this.componentList[0]['component_id'];
			}
			mui("#componentPopover").popover('show');
		},
		//弹窗消失事件
		hiddenPopup: function() {
			mui('.mui-popover').popover('hide');
		},
		//图片删除
		deleteImg: function(oindex, k) {
			var that = this;
			mui.confirm('确认要删除该面料图吗？', ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					var arr1 = that.fabricData;
					arr1[oindex]['picture'].splice(k, 1);
					arr1[oindex]['local_picture'].splice(k, 1);
					that.$set(that, 'fabricData', arr1);
				}
			}, 'div')
		},
		//删除辅面料
		deleteItem: function(k) {
			var that = this;
			mui.confirm('确认要删除该面料信息吗？', ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					if(that.fabricData.length == 2) {
						that.deleteShow = false;
						document.querySelector(".mui-pull-right").innerHTML = "编辑";
						document.querySelector(".mui-pull-right").style.display = "none";
					}
					that.fabricData.splice(k, 1);
				}
			}, 'div')
		},
		//添加辅面料
		addFabric: function() {
			if(this.fabricData.length >= 1) {
				document.querySelector(".mui-pull-right").style.display = "block";
				document.querySelector(".mui-pull-right").innerHTML = "编辑";
				this.deleteShow = false;
			}
			this.fabricData.push({
				is_main: 0,
				component: '',
				componentText: '',
				weight: '',
				grammage: '',
				width: '',
				units: '厘米',
				picture: [],
				local_picture: []
			});
			this.$nextTick(function() {
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0005
				});
			})
		},
		//确定事件
		submit: function() {
			var that = this;
			var bool = true;
			for(var i = 0; i < that.fabricData.length; i++) {
				for(var attr in that.fabricData[i]) {
					if(!that.fabricData[i]['name']) {
						mui.toast("面料名称不能为空");
						bool = false;
						return;
					} else if(!that.fabricData[i]['picture'].length) {
						mui.toast("请上传面料图片");
						bool = false;
						return;
					}
				}
			}
			if(bool) {
				var view = plus.webview.getWebviewById("edit_task.html");
				mui.fire(view, 'Efabric', {
					fabric: that.fabricData
				});
				mui.back();
			}
		},
		//图片上传
		imgUp: function(index) {
			var that = this;
			mui.plusReady(function() {
				plus.nativeUI.actionSheet({
					cancel: "取消",
					buttons: [{
							title: "拍照"
						},
						{
							title: "从相册中选择"
						}
					]
				}, function(e) { //1 是拍照  2 从相册中选择 
					switch(e.index) {
						case 1:
							plus.camera.getCamera().captureImage(function(e) {
								plus.io.resolveLocalFileSystemURL(e, function(entry) {
									var path = entry.toLocalURL();
									plus.zip.compressImage({
										src: path,
										dst: "_doc/chat/camera/" + path,
										quality: 20,
										overwrite: true
									}, function(e) {
										var wt = plus.nativeUI.showWaiting();
										var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
												method: "POST"
											},
											function(t, status) { //上传完成
												if(status == 200) {
													var obj = JSON.parse(t.responseText);
													var url = obj.content.url;
													var arr1 = that.fabricData;
													arr1[index]['picture'].push(url);
													arr1[index]['local_picture'].push(path);
													that.$set(that, 'fabricData', arr1);
													wt.close(); //关闭等待提示按钮
												} else {
													alert("上传失败：" + status);
													wt.close(); //关闭等待提示按钮
												}
											}
										);
										task.addData("type", "YiShang");
										task.addFile(e.target, {
											key: "img"
										});
										task.start();
									}, function(err) {
										console.log("压缩失败：  " + err.message);
									});
								}, function(e) {
									mui.toast("读取拍照文件错误：" + e.message);
								});
							});
							break;
						case 2:
							plus.gallery.pick(function(path) {
								plus.zip.compressImage({
									src: path,
									dst: "_doc/chat/gallery/" + path,
									quality: 20,
									overwrite: true
								}, function(e) {
									var wt = plus.nativeUI.showWaiting();
									var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
											method: "POST"
										},
										function(t, status) { //上传完成
											if(status == 200) {
												var obj = JSON.parse(t.responseText);
												var url = obj.content.url;
												var arr1 = that.fabricData;
												arr1[index]['picture'].push(url);
												arr1[index]['local_picture'].push(path);
												that.$set(that, 'fabricData', arr1);
												wt.close(); //关闭等待提示按钮
											} else {
												alert("上传失败：" + status);
												wt.close(); //关闭等待提示按钮
											}
										}
									);
									task.addData("type", "YiShang");
									task.addFile(e.target, {
										key: "img"
									});
									task.start();
								}, function(err) {
									console.error("压缩失败：" + err.message);
								});
							});
							break;
					}
				});
			})
		}
	}
})

//弹窗出现
mui('body').on('shown', '.mui-popover', function(e) {
	vm.$set(vm, 'disable', true);
});
//弹窗消失
mui('body').on('hidden', '.mui-popover', function(e) {
	setTimeout(function() {
		vm.$set(vm, 'disable', false);
	}, 100)
});

//编辑按钮
document.querySelector(".mui-pull-right").onclick = function() {
	vm.deleteShow = !vm.deleteShow;
	if(vm.deleteShow) {
		this.innerHTML = "取消";
	} else {
		this.innerHTML = "编辑";
	}
};
//照片预览功能
mui.previewImage();