mui.init({
	swipeBack: true
});

var vm = new Vue({
	el: ".mui-content",
	data: {
		deleteShow: false,
		listData: [{
			requirement: '',
			picture: [],
			local_picture: []
		}]
	},
	created: function() {
		var that = this;
		mui.plusReady(function() {
			var self = plus.webview.currentWebview();
			var supplements = self.supplements;
			if(!supplements || !supplements.length) {
				that.listData = [{
					requirement: '',
					picture: [],
					local_picture: []
				}]
			} else {
				that.$set(that, 'listData', supplements);
			}
			if(that.listData.length > 1) {
				document.querySelector(".mui-pull-right").style.display = "block";
			} else {
				document.querySelector(".mui-pull-right").style.display = "none";
			}
		})
	},
	methods: {
		//图片删除
		deleteImg: function(oindex, k) {
			var that = this;
			mui.confirm('确认要删除该说明图吗？', ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					var arr1 = that.listData;
					arr1[oindex]['picture'].splice(k, 1);
					arr1[oindex]['local_picture'].splice(k, 1);
					that.$set(that, 'listData', arr1);
				}
			}, 'div')
		},
		//添加要求
		addItem: function() {
			if(this.listData.length >= 1) {
				document.querySelector(".mui-pull-right").style.display = "block";
				document.querySelector(".mui-pull-right").innerHTML = "编辑";
				this.deleteShow = false;
			}
			this.listData.push({
				requirement: '',
				picture: [],
				local_picture: []
			});
			this.$nextTick(function() {
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0005
				});
			})
		},
		//删除要求
		deleteItem: function(k) {
			var that = this;
			mui.confirm('确认要删除该要求信息吗？', ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					if(that.listData.length == 2) {
						document.querySelector(".mui-pull-right").style.display = "none";
						that.deleteShow = false;
					}
					that.listData.splice(k, 1);
				}
			}, 'div')
		},
		//确定事件
		submit: function() {
			var that = this;
			var view = plus.webview.getWebviewById("edit_task.html");
			var arr=[].concat(that.listData);
			for(var i = 0; i < arr.length; i++) {
				if(!arr[i].requirement && !arr[i].picture.length) {
					arr.splice(i, 1)
				}
			}
			mui.fire(view, 'Eothers', {
				supplements: arr
			});
			mui.back();
		},
		//图片上传
		imgUp: function(index) {
			var that = this;
			mui.plusReady(function() {
				plus.nativeUI.actionSheet({
					cancel: "取消",
					buttons: [{
							title: "拍照"
						},
						{
							title: "从相册中选择"
						}
					]
				}, function(e) { //1 是拍照  2 从相册中选择 
					switch(e.index) {
						case 1:
							plus.camera.getCamera().captureImage(function(e) {
								plus.io.resolveLocalFileSystemURL(e, function(entry) {
									var path = entry.toLocalURL();
									plus.zip.compressImage({
										src: path,
										dst: "_doc/chat/camera/" + path,
										quality: 20,
										overwrite: true
									}, function(e) {
										var wt = plus.nativeUI.showWaiting();
										var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
												method: "POST"
											},
											function(t, status) { //上传完成
												if(status == 200) {
													var obj = JSON.parse(t.responseText);
													var url = obj.content.url;
													var arr1 = that.listData;
													arr1[index]['picture'].push(url);
													arr1[index]['local_picture'].push(path);
													that.$set(that, 'listData', arr1);
													wt.close(); //关闭等待提示按钮
												} else {
													alert("上传失败：" + status);
													wt.close(); //关闭等待提示按钮
												}
											}
										);
										task.addData("type", "YiShang");
										task.addFile(e.target, {
											key: "img"
										});
										task.start();
									}, function(err) {
										console.log("压缩失败：  " + err.message);
									});
								}, function(e) {
									mui.toast("读取拍照文件错误：" + e.message);
								});
							});
							break;
						case 2:
							plus.gallery.pick(function(path) {
								plus.zip.compressImage({
									src: path,
									dst: "_doc/chat/gallery/" + path,
									quality: 20,
									overwrite: true
								}, function(e) {
									var wt = plus.nativeUI.showWaiting();
									var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
											method: "POST"
										},
										function(t, status) { //上传完成
											if(status == 200) {
												var obj = JSON.parse(t.responseText);
												var url = obj.content.url;
												var arr1 = that.listData;
												arr1[index]['picture'].push(url);
												arr1[index]['local_picture'].push(path);
												that.$set(that, 'listData', arr1);
												wt.close(); //关闭等待提示按钮
											} else {
												alert("上传失败：" + status);
												wt.close(); //关闭等待提示按钮
											}
										}
									);
									task.addData("type", "YiShang");
									task.addFile(e.target, {
										key: "img"
									});
									task.start();
								}, function(err) {
									console.error("压缩失败：" + err.message);
								});
							});
							break;
					}
				});
			})
		}
	}
});

//编辑按钮
document.querySelector(".mui-pull-right").onclick = function() {
	vm.deleteShow = !vm.deleteShow;
	if(vm.deleteShow) {
		this.innerHTML = "取消";
	} else {
		this.innerHTML = "编辑";
	}
};

//照片预览功能
mui.previewImage();