mui.init({
	swipeBack: true
});
var vm = new Vue({
	el: ".mui-content",
	data: {
		disable: false,
		checkVal: '',
		errorVal: '',
		qualityVal: '',
		checkList: [], //查获选择列表
		errorList: [], //误差范围列表
		qualityList: ['精品 ', '半精品 ', '中等', '普通'],
		qualityData: {}
	},
	created: function() {
		var that = this;
		//获取查获选择列表
		$ajax("/Receipt/getCheck", {}, function(res) {
			if(res.status == 200) {
				that.checkList = res.content;
				if(res.content.length > 5) {
					document.getElementById("modelPopover").style.height = "260px";
				} else {
					var height = 44 * (res.content.length + 1);
					document.getElementById("modelPopover").style.height = height + "px";
				}
			} else {
				mui.toast(res.msg)
			}
		});
		//获取误差标准列表
		$ajax("/Receipt/getError", {}, function(res) {
			if(res.status == 200) {
				that.errorList = res.content;
				if(res.content.length > 5) {
					document.getElementById("errorPopover").style.height = "260px";
				} else {
					var height = 44 * (res.content.length + 1);
					document.getElementById("errorPopover").style.height = height + "px";
				}
			} else {
				mui.toast(res.msg)
			}
		})
		mui.plusReady(function() {
			var self = plus.webview.currentWebview();
			var quality = self.quality;
			if(!quality || !quality.check) {
				that.qualityData = {
					check: '', //查获模式
					error: '', //整体误差范围
					quality_requirement: '', //质量要求
					requirement: '', //要求信息
					process_list: [], //工艺单图片
					local_process_list: [], //保存本地的工艺单图片
					size_table: [], //尺寸表图片
					local_size_table: [], //保存本地的尺寸表图片
					picture: [], //版型图
					local_picture: [] //保存在本地的版型图
				}
			} else {
				that.$set(that, 'qualityData', quality);
				that.checkVal = that.qualityData.check;
				that.errorVal = that.qualityData.error;
				that.qualityVal = that.qualityData.quality_requirement;
			}
		})
		that.$nextTick(function() {
			mui('.mui-scroll-wrapper').scroll({
				deceleration: 0.0005
			});
		})
	},
	methods: {
		//弹窗内确定事件
		popupConfirm: function(index) {
			if(index == 1) {
				for(var i = 0; i < this.checkList.length; i++) {
					if(this.checkList[i].check_name == this.checkVal) {
						this.qualityData.check = this.checkList[i].check_name;
					}
				}
			} else if(index == 2) {
				for(var i = 0; i < this.errorList.length; i++) {
					if(this.errorList[i].value == this.errorVal) {
						this.qualityData.error = this.errorList[i].value;
					}
				}
			} else if(index == 3) {
				for(var i = 0; i < this.qualityList.length; i++) {
					if(this.qualityList[i] == this.qualityVal) {
						this.qualityData.quality_requirement = this.qualityList[i];
					}
				}
			}
			mui('.mui-popover').popover('hide');
		},
		//弹窗消失
		cancelOff: function(index) {
			mui('.mui-popover').popover('hide');
		},
		//图片删除
		deleteImg: function(target, k) {
			var that = this;
			var text = '';
			if(target == 'process_list') {
				text = '确认要删除该工艺单图吗?'
			} else if(target == 'size_table') {
				text = '确认要删除该尺寸表图吗?'
			} else if(target == 'picture') {
				text = '确认要删除该版型图吗?'
			}
			mui.confirm(text, ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					var arr1 = that.qualityData[target];
					var arr2 = that.qualityData['local_' + target];
					arr1.splice(k, 1);
					arr2.splice(k, 1);
					that.$set(that.qualityData, target, arr1);
					that.$set(that.qualityData, 'local_' + target, arr2);
				}
			}, 'div')
		},
		//提交
		submit: function() {
			var that = this;
			if(!that.qualityData.check) {
				mui.toast("请先选择查获模式");
				return;
			} else if(!that.qualityData.quality_requirement) {
				mui.toast("请先选择品质要求");
				return;
			} else if(!that.qualityData.error) {
				mui.toast("请先选择整体误差允许范围");
				return;
			} else {
				//				for(var i = that.qualityData.supplement.length-1; i >=0 ; i--) {
				//					if(!that.qualityData.supplement[i].name && !that.qualityData.supplement[i].err) {
				//						that.qualityData.supplement.splice(i, 1)
				//					}
				//				}
				var view = plus.webview.getWebviewById("edit_task.html");
				mui.fire(view, 'Equality', {
					quality: that.qualityData
				});
				mui.back();
			}
		},
		//图片上传
		imgUp: function(target) {
			var that = this;
			mui.plusReady(function() {
				plus.nativeUI.actionSheet({
					cancel: "取消",
					buttons: [{
							title: "拍照"
						},
						{
							title: "从相册中选择"
						}
					]
				}, function(e) { //1 是拍照  2 从相册中选择 
					switch(e.index) {
						case 1:
							plus.camera.getCamera().captureImage(function(e) {
								plus.io.resolveLocalFileSystemURL(e, function(entry) {
									var path = entry.toLocalURL();
									plus.zip.compressImage({
										src: path,
										dst: "_doc/chat/camera/" + path,
										quality: 20,
										overwrite: true
									}, function(e) {
										var wt = plus.nativeUI.showWaiting();
										var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
												method: "POST"
											},
											function(t, status) { //上传完成
												if(status == 200) {
													var obj = JSON.parse(t.responseText);
													var url = obj.content.url;
													var arr1 = that.qualityData[target];
													var arr2 = that.qualityData['local_' + target];
													arr1.push(url);
													arr2.push(path);
													that.$set(that.qualityData, target, arr1);
													that.$set(that.qualityData, 'local_' + target, arr2);
													wt.close(); //关闭等待提示按钮
												} else {
													alert("上传失败：" + status);
													wt.close(); //关闭等待提示按钮
												}
											}
										);
										task.addData("type", "YiShang");
										task.addFile(e.target, {
											key: "img"
										});
										task.start();
									}, function(err) {
										console.log("压缩失败：  " + err.message);
									});
								}, function(e) {
									mui.toast("读取拍照文件错误：" + e.message);
								});
							});
							break;
						case 2:
							plus.gallery.pick(function(path) {
								plus.zip.compressImage({
									src: path,
									dst: "_doc/chat/gallery/" + path,
									quality: 20,
									overwrite: true
								}, function(e) {
									var wt = plus.nativeUI.showWaiting();
									var task = plus.uploader.createUpload(imgRoot + "picture/upload", {
											method: "POST"
										},
										function(t, status) { //上传完成
											if(status == 200) {
												var obj = JSON.parse(t.responseText);
												var url = obj.content.url;
												var arr1 = that.qualityData[target];
												var arr2 = that.qualityData['local_' + target];
												arr1.push(url);
												arr2.push(path);
												that.$set(that.qualityData, target, arr1);
												that.$set(that.qualityData, 'local_' + target, arr2);
												wt.close(); //关闭等待提示按钮
											} else {
												alert("上传失败：" + status);
												wt.close(); //关闭等待提示按钮
											}
										}
									);
									task.addData("type", "YiShang");
									task.addFile(e.target, {
										key: "img"
									});
									task.start();
								}, function(err) {
									console.error("压缩失败：" + err.message);
								});
							});
							break;
					}
				});
			})
		}
	}
})

//弹窗出现
mui('body').on('shown', '.mui-popover', function(e) {
	vm.$set(vm, 'disable', true);
});
//弹窗消失
mui('body').on('hidden', '.mui-popover', function(e) {
	setTimeout(function() {
		vm.$set(vm, 'disable', false);
	}, 100)
});

//照片预览功能
mui.previewImage();