mui.init({
	swipeBack: true
});

//扫码登录pc端
document.querySelector(".scan-btn").onclik = function() {
	$open('scan.html', 'scan.html');
}
if(localStorage.getItem("role") == 1) {
	document.querySelector(".scan-btn").style.display = "flex";
} else {
	document.querySelector(".scan-btn").style.display = "none";
}
var vm = new Vue({
	el: '.mui-content',
	data: {
		role: localStorage.getItem("role"),
		deposit: 0, //定金比例
		listData: {
			type: '',
			model: '',
			category: '', //商品类别
			demanding_account: 0,
			size: [], //订单数量数据
			total_fee: 0, //总价
			img: {}, //面料图片数据
			quality: {}, //品质要求数据
			fabric: [], //面料信息
			supplements: [], //其他要求
			is_deposited: 1, //是否支付定金
			receiver: '', //收件人
			phone: '', //手机号
			province: '', //省
			city: '', //市
			county: '', //区
			street: '' //街道
		},
		cateList: [], //类别数组
		styleList: []
	},
	created: function() {
		var that = this;
		//获取服装类型
		$ajax("/Receipt/getStyle", {}, function(res) {
			if(res.status == 200) {
				res.content.forEach(function(item, index) {
					that.styleList[index] = {};
					that.styleList[index]['value'] = item.style_id;
					that.styleList[index]['text'] = item.style_name;
				})
			} else {
				mui.toast(res.msg)
			}
		})
		mui.plusReady(function() {
			var self = plus.webview.currentWebview();
			var type = self.type;
			that.$set(that.listData, 'type', type);
			var old_Back = mui.back;
			mui.back = function() {
				mui.confirm('返回后无法保存草稿？', '提示', ['确定', '取消'], function(e) {
					if(e.index == 0) {
						old_Back();
					}
				})
			};
			$ajax("/Receipt/index", {
				'type': type
			}, function(res) {
				if(res.status == 200) {
					that.deposit = res.content.deposit;
					that.cateList = res.content.cate;
					that.listData.category = res.content.cate[0].cate_name;
					if(res.content.default_address) {
						for(var attr in res.content.default_address) {
							that.listData[attr] = res.content.default_address[attr];
						}
					}
					that.$nextTick(function() {
						mui('.mui-scroll-wrapper').scroll({
							deceleration: 0.0005
						});
					})
				} else {
					mui.toast(res.msg);
				}
			})
		})
	},
	watch: {
		'listData.fee': {
			handler: function(val, oldVal) {
				if(val != oldVal && this.listData.size.length) {
					var count = 0;
					for(var i = 0; i < this.listData.size.length; i++) {
						count += Number(this.listData.size[i]['count']);
					}
					this.listData.total_fee = (Number(val) * count).toFixed(2);
				}
			},
			deep: true
		}
	},
	computed: {
		otherText: function() {
			if(this.listData.supplements.length) {
				if(this.listData.supplements[0].requirement) {
					return this.listData.supplements[0].requirement.substring(0, 10);
				} else if(this.listData.supplements[0].picture.length) {
					return '图片';
				} else {
					return '请点击填写';
				}
			} else {
				return '请点击填写';
			}
		},
		payDeposit: function() {
			return(this.listData.total_fee * this.deposit).toFixed(2);
		},
		depositText:function(){
			return this.deposit*100+'%';
		}
	},
	methods: {
		//服装类型切换事件
		styleTap: function() {
			var input = document.getElementsByTagName("input");
			for(var i = 0; i < input.length; i++) {
				input[i].blur();
			}
			var that = this;
			var userPicker = new mui.PopPicker();
			userPicker.setData(that.styleList);
			userPicker.show(function(items) {
				that.$set(that.listData, 'style', items[0].text)
			});
		},
		//抢单截至时间
		timeTap: function() {
			var input = document.getElementsByTagName("input");
			for(var i = 0; i < input.length; i++) {
				input[i].blur();
			}
			var _self = this.$refs.timeCell;
			var that = this;
			var optionsJson = _self.getAttribute('data-options') || '{}';
			var options = JSON.parse(optionsJson);
			_self.picker = new mui.DtPicker(options);
			_self.picker.show(function(rs) {
				that.$set(that.listData, 'expire_time', rs.text);
				_self.setAttribute("data-options", '{"value":"' + rs.text + '"}');
				_self.picker.dispose();
				_self.picker = null;
			});
		},
		//日期选择
		dateTap: function(index) {
			var that = this;
			mui.plusReady(function() {
				var dDate = new Date();
				if(index == 1) {
					var optionsJson = that.$refs.date1.getAttribute('data-options') || '{}';
				} else {
					var optionsJson = that.$refs.date2.getAttribute('data-options') || '{}';
				}
				var options = JSON.parse(optionsJson);
				if(options.year) {
					dDate.setFullYear(options.year, options.month, options.date);
				}
				var minDate = new Date();
				var y = minDate.getFullYear();
				var m = minDate.getMonth();
				var d = minDate.getDate();
				minDate.setFullYear(y, m, d);
				var maxDate = new Date();
				maxDate.setFullYear(2050, 11, 31);
				plus.nativeUI.pickDate(function(e) {
					var d = e.date;
					if(index == 1) {
						that.$refs.date1.setAttribute("data-options", '{"year":"' + d.getFullYear() + '","month":"' + d.getMonth() + '","date":"' + d.getDate() + '"}');
						that.$set(that.listData, 'arrival_date', d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate());
					} else {
						that.$refs.date2.setAttribute("data-options", '{"year":"' + d.getFullYear() + '","month":"' + d.getMonth() + '","date":"' + d.getDate() + '"}');
						that.$set(that.listData, 'delivery_date', d.getFullYear() + "-" + (d.getMonth() + 1) + "-" + d.getDate());
					}
				}, function(e) {
					//				$that.find(".mui-pull-right").text("请选择日期");
				}, {
					title: "请选择日期",
					date: dDate,
					minDate: minDate,
					maxDate: maxDate
				});
			})
		},
		//打开窗口
		openWindow: function(url, id, datas) {
			$open(url, id, datas);
		},
		//发单按钮
		submit: function() {
			var that = this;
			that.listData.mode = document.querySelector('[name="mode"]:checked').value;
			var obj = {};
			for(var attr in that.listData) {
				obj[attr] = that.listData[attr];
			}
			for(var attr in obj.img) {
				if(attr.indexOf('local_') == -1) {
					obj[attr] = obj.img[attr];
				}
			}
			for(var attr in obj.quality) {
				if(attr.indexOf('local_') == -1) {
					obj[attr] = obj.quality[attr];
				}
			}
			delete obj.img;
			delete obj.quality;
			$ajax("/Receipt/submit", obj, function(res) {
				if(res.status == 200) {
					if(that.listData.type == 2) {
						$open('pay_money.html', 'pay_money.html', {
							'order_id': res.content.order_id
						}); //去支付定金
					} else {
						mui.confirm('发单成功', ' ', ['返回首页', '查看订单'], function(e) {
							var detailPage = plus.webview.getWebviewById('model.html');
							plus.webview.getWebviewById('./Home/home.html').reload("true");
							plus.webview.getWebviewById('./Order/order.html').reload("true");
							plus.webview.getWebviewById('send_option.html').close("none");
							if(e.index == 1) {
								mui.fire(detailPage, 'pageIndex', {
									index: 1
								});
							} else {
								mui.fire(detailPage, 'pageIndex', {
									index: 0
								});
							}
							plus.webview.currentWebview().close("pop-out");
						}, 'div')
					}
				} else {
					mui.toast(res.msg);
				}
			})
		}
	}
})
//类别切换事件
mui("#segmentedControl").on("tap", ".mui-control-item", function() {
	var cate_name = this.innerHTML;
	vm.$set(vm.listData, 'category', cate_name);
})

//监听数量返回值
window.addEventListener('Esize', function(event) {
	var size = event.detail.size;
	vm.$set(vm.listData, 'size', size);
	if(size.length) {
		var count = 0;
		for(var i = 0; i < size.length; i++) {
			count += Number(size[i]['count']);
		}
		vm.$set(vm.listData, 'demanding_account', count);
		if(vm.listData.fee) {
			vm.$set(vm.listData, 'total_fee', (Number(vm.listData.fee) * count).toFixed(2));
		}
	}
})

//监听图片返回值
window.addEventListener('Eimg', function(event) {
	var img = event.detail.img;
	vm.$set(vm.listData, 'img', img);
})

//监听品质要求返回值
window.addEventListener('Equality', function(event) {
	var quality = event.detail.quality;
	vm.$set(vm.listData, 'quality', quality);
})

//监听面料信息返回值
window.addEventListener('Efabric', function(event) {
	var fabric = event.detail.fabric;
	vm.$set(vm.listData, 'fabric', fabric);
})

//监听其他要求返回值
window.addEventListener('Eothers', function(event) {
	var supplements = event.detail.supplements;
	vm.$set(vm.listData, 'supplements', supplements);
})

//监听地址返回值
window.addEventListener('Eaddress', function(event) {
	var address = event.detail.address;
	for(var attr in address) {
		vm.$set(vm.listData, attr, address[attr]);
	}
})

//是否支付定金
if(document.getElementById("mySwitch")) {
	document.getElementById("mySwitch").addEventListener("toggle", function(event) {
		if(event.detail.isActive) {
			vm.$set(vm.listData, 'is_deposited', 1)
		} else {
			vm.$set(vm.listData, 'is_deposited', 0)
		}
	})
}