mui.init({swipeBack: true});

var vm = new Vue({
  el:'.mui-content',
  data:{
    sendData:{
      content:'',
      picture:[],//反馈的图片
      local_picture:[]//本地读取的图片
    }
  },
  methods:{
    //删除图片
    deleteImg(target,k){
      var _this = this;
      mui.confirm('确认要删除该反馈照片吗？', '', ['取消', '确定'], function(e) {
        if(e.index == 1) {
          var arr1 = _this.sendData[target];
          var arr2 = _this.sendData['local_' + target];
          arr1.splice(k, 1);
          arr2.splice(k, 1);
          _this.$set(_this.sendData, target, arr1);
          _this.$set(_this.sendData, 'local_' + target, arr2);
        }
      },'div');
    },
    //上传图片
    imgUp(target){
      var _this = this;
      mui.plusReady(function () {
          plus.nativeUI.actionSheet({
            cancel:"取消",
            buttons:[
            {title:'拍照'},
            {title:'从相册中选择'}
            ]
          },function(e){//1 是拍照  2 从相册中选择
            switch (e.index){
            	case 1:
            	  plus.camera.getCamera().captureImage(function(e){
            	    plus.io.resolveLocalFileSystemURL(e,function(entry){
            	      var path = entry.toLocalURL();
            	      plus.zip.compressImage({
            	        src:path,
            	        dst:path,
            	        quality:20,
            	        overwrite:true
            	      },function(e){
            	        var wt = plus.nativeUI.showWaiting();
            	        var task = plus.uploader.createUpload(imgRoot+'picture/upload',{method:"POST"},function(t,status){
            	          if(status == 200){
            	            var obj = JSON.parse(t.responseText);
            	            var url = obj.content.url;
            	            var arr1 = _this.sendData[target];
            	            var arr2 = _this.sendData['local_'+target];
            	            arr1.push(url);
            	            arr2.push(path);
            	            _this.$set(_this.sendData,target,arr1);
            	            _this.$set(_this.sendData,'local_'+target,arr2);
            	            wt.close();//关闭等待提示按钮
            	          }else{
            	            mui.alert('上传失败：'+ status);
            	            wt.close();
            	          }
            	        });
            	        task.addData("type","YiShang");
            	        task.addFile(e.target,{
            	          key:'img'
            	        });
            	        task.start();
            	      })
            	    },function(e){
            	      mui.toast('读取拍照文件错误：'+ e.message);
            	    })
            	  })
            		break;
            	case 2:
            	  plus.gallery.pick(function(path){
            	    plus.zip.compressImage({
            	      src:path,
            	      dst:path,
            	      quality:20,
            	      overwrite:true
            	    },function(e){
            	      var wt = plus.nativeUI.showWaiting();
            	      var task = plus.uploader.createUpload(imgRoot+'picture/upload',
            	      {method:"POST"},
            	      function(t,status){
            	        if(status == 200){
            	          var obj = JSON.parse(t.responseText);
            	          var url = obj.content.url;
            	          var arr1 = _this.sendData[target];
                        var arr2 = _this.sendData['local_'+target];
                        arr1.push(url);
                        arr2.push(path);
                        _this.$set(_this.sendData,target,arr1);
                        _this.$set(_this.sendData,'local_'+target,arr2);
                        wt.close();
            	        }else{
            	          mui.alert('上传失败：'+ status);
            	          wt.close();
            	        }
            	      });
            	      task.addData("type","YiShang");
            	      task.addFile(e.target,{
            	        key:'img'
            	      });
            	      task.start();
            	    },function(err){
            	      console.error("压缩失败：" + err.message);
            	    });
            	  });
            		break;
            }
          })
      })
    },
    //提交
    submit:function(){
      var _this = this;
      if(!_this.sendData.content){
        mui.toast('请输入反馈内容');
      }else{
        $ajax('/UserCenter/getFeedback',_this.sendData,function(res){
          if(res.status == 200){
            mui.alert(res.msg,function(){
              mui.back();
            });
          }else{
            mui.toast(res.msg);
          }
        });
      }
    }
  }
})

//滚动初始化
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
});

//照片预览功能
mui.previewImage();