mui.init({
	swipeBack: true
});
var vm = new Vue({
	el: ".mui-content",
	data: {
		listData: {},
		isSend: false, //验证码发送标志（计时器的标志）
		time: 60
	},
	computed: {
		textStr() {
			return str = this.time == 60 ? '发送验证码' : this.time + 's'
		}
	},
	methods: {
		//发送验证码
		sendCode: function() {
			var _this = this;
			if(!this.listData.phone) {
				mui.alert('请输入手机号码');
			} else if(!(/^1(3[0-9]|4[57]|5[0-35-9]|8[0-9]|7[0-9])\d{8}$/.test(this.listData.phone))) {
				mui.alert('手机号码格式错误');
			} else {
				this.isSend = true;
				if(this.isSend) {
					this.count();
				}
				$ajax("/Sms/send_code", {
					phone: _this.listData.phone
				}, function(res) {
					mui.toast(res.msg)
				});
			}
		},
		stopCount: function() {
			this.isSend = false;
			this.time = 60;
		},
		count: function() {
			var _this = this;
			if(_this.isSend) {
				_this.time--;
				setTimeout(function() {
					_this.count();
					if(_this.time <= 0) {
						_this.stopCount();
					}
				}, 1000);
			}
		},
		//确定事件
		submit: function() {
			if(!(/^1[34578]\d{9}$/.test(this.listData.phone))) {
				mui.toast("手机号码格式错误");
				return;
			} else if(!this.listData.code || this.listData.code.match(/^\s*$/)) {
				mui.toast("验证码错误");
				return;
			} else if(!this.listData.password || !(/^[a-z0-9A-Z.]{6,16}$/.test(this.listData.password))) {
				mui.toast("密码格式错误");
				return;
			} else if(this.listData.password != this.listData.repassword) {
				mui.toast("两次密码输入不一致");
				return;
			} else {
				this.listData.role = localStorage.getItem("role");
				$ajax("/User/resetPassword", this.listData, function(res) {
					if(res.status == 200) {
						mui.toast("修改成功，请重新登录");
						setTimeout(function() {
							mui.back();
						}, 2000)
					} else {
						mui.toast(res.msg);
					}
				})
			}
		}
	}
})