mui.init({
	swipeBack: true,
	preloadPages: [{
		id: 'model.html',
		url: '../Ebusiness/model.html'
	}]
});
var vm = new Vue({
	el: ".mui-content",
	data: {
		role: localStorage.getItem("role"),
		loginData: {},
		registerData: {},
		isAgree: true,
		isSend: false, //验证码发送标志（计时器的标志）
		time: 60
	},
	computed: {
		textStr: function() {
			return str = this.time == 60 ? '发送验证码' : this.time + 's'
		}
	},
	methods: {
		//发送验证码
		sendCode: function() {
			var _this = this;
			if(!this.registerData.phone) {
				mui.alert('请输入手机号码');
			} else if(!(/^1(3[0-9]|4[57]|5[0-35-9]|8[0-9]|7[0-9])\d{8}$/.test(this.registerData.phone))) {
				mui.alert('手机号码格式错误');
			} else {
				this.isSend = true;
				if(this.isSend) {
					this.count();
				}
				$ajax("/Sms/send_code", {
					phone: _this.registerData.phone
				}, function(res) {
					mui.toast(res.msg)
				});
			}
		},
		stopCount: function() {
			this.isSend = false;
			this.time = 60;
		},
		count: function() {
			var _this = this;
			if(_this.isSend) {
				_this.time--;
				setTimeout(function() {
					_this.count();
					if(_this.time <= 0) {
						_this.stopCount();
					}
				}, 1000);
			}
		},
		//注册
		register: function() {
			if(!(/^1[34578]\d{9}$/.test(this.registerData.phone))) {
				mui.toast("手机号码格式错误");
				return;
			} else if(!this.registerData.code || this.registerData.code.match(/^\s*$/)) {
				mui.toast("验证码错误");
				return;
			} else if(!this.registerData.password || !(/^[a-z0-9A-Z.]{6,16}$/.test(this.registerData.password))) {
				mui.toast("密码格式错误");
				return;
			} else if(this.registerData.password != this.registerData.repassword) {
				mui.toast("两次密码输入不一致");
				return;
			} else if(!this.isAgree) {
				mui.toast("请先勾选同意条款");
				return;
			} else {
				var _this = this;
				_this.registerData.role = _this.role;
				$ajax("/User/registerUser", _this.registerData, function(res) {
					if(res.status == 200) {
						localStorage.setItem("auth_user", res.content.jwt);
						localStorage.setItem("auth_token", res.content.rc_token);
						var text = "";
						if(_this.role == 3) {
							$open("good_choose.html", 'good_choose.html');
						} else {
							if(_this.role == 1) {
								text = "如果你要发单则需要去实名公司<br/>认证或者电商店铺认证";
							} else if(this.role == 2) {
								text = "如果您要接单则需要<br/>去实名公司认证";
							}
							mui.confirm(' ', text, ['先看看', '去认证'], function(e) {
								if(e.index == 1) {
									$open("check.html", 'check.html');
								} else {
									var detailPage = null;
									detailPage = plus.webview.getWebviewById('model.html');
									mui.fire(detailPage, 'pageIndex', {
										index: 0
									});
									$open("../Ebusiness/model.html", "model.html");

								}
							}, 'div')
						}
					} else {
						mui.toast(res.msg);
					}
				})
			}
		},
		//登录
		login: function() {
			if(!(/^1[34578]\d{9}$/.test(this.loginData.phone))) {
				mui.toast("手机号码格式错误");
				return;
			} else if(!this.loginData.password) {
				mui.toast("请输入密码");
				return;
			} else {
				this.loginData.role = this.role;
				$ajax("/User/loginCheck", this.loginData, function(res) {
					if(res.status == 200) {
						localStorage.setItem("auth_user", res.content.jwt);
						localStorage.setItem("auth_token", res.content.rc_token);
						var detailPage = null;
						detailPage = plus.webview.getWebviewById('model.html');
						mui.fire(detailPage, 'pageIndex', {
							index: 0
						});
						$open("../Ebusiness/model.html", "model.html");
					} else {
						mui.toast(res.msg);
					}
				})
			}
		},
		//打开窗口
		openWindow: function(url, id) {
			$open(url, id);
		}
	}
})