var webview_detail;
mui.init( {
  swipeBack: true
} )
//更改头像
mui.plusReady( function () {
  $( "#head" ).on( "tap", function () {
    page.imgUp();
  } )

} )
init();

//监听从详细信息页面返回的值，更新数据
document.addEventListener('refresh',function(){
	init();
})

/**
 * 获取我的设置信息
 */
var mySet = {}

function init() {
  var role = localStorage.getItem( "role" );
  if(role == 3){
    $( ".goodat-cell" ).show();
  }else{
    $( ".more-cell" ).show();
  }
  $ajax( "/UserCenter/mySetting", {}, function ( res ) {
    if( res.status == 200 ) {
      var statusName;
      mySet = res.content;
      switch( mySet.status ) {
        case '0':
          statusName = '未认证'
          break;
        case '1':
          statusName = '审核中'
          break;
        case '2':
          statusName = '审核通过'
          break;
        case '3':
          statusName = '审核失败'
          break;
        default:
          statusName = '未认证'
          break;
      }
      document.querySelector( ".company-name" ).innerHTML = mySet.company;
      document.querySelector( ".auth-status" ).innerHTML = statusName;
      document.querySelector( ".head-img" ).setAttribute( 'src', imgRoot + mySet.avatar );
    } else {
      mui.toast( res.msg );
    }
  } )
}

//弹出系统按钮选择框
var page = null;
page = {
  imgUp: function () {
    var m = this;
    plus.nativeUI.actionSheet( {
      cancel: "取消",
      buttons: [ {
          title: "拍照"
        },
        {
          title: "从相册中选择"
        }
      ]
    }, function ( e ) { //1 是拍照  2 从相册中选择
      switch( e.index ) {
        case 1:
          appendByCamera();
          break;
        case 2:
          appendByGallery();
          break;
      }
    } );
  }
}
// 拍照添加文件
function appendByCamera() {
  plus.camera.getCamera().captureImage( function ( e ) {
    plus.io.resolveLocalFileSystemURL( e, function ( entry ) {
      var path = entry.toLocalURL();
      var wt = plus.nativeUI.showWaiting();
      plus.zip.compressImage( {
        src: path,
        dst: "_doc/avatar/" + path,
        quality: 20,
        overwrite: true
      }, function ( e ) {
        var task = plus.uploader.createUpload( imgRoot + 'picture/upload', {
            method: "POST"
          },
          function ( t, status ) {
            if( status == 200 ) {
              var obj = JSON.parse( t.responseText );
              var url = obj.content.url;

              $ajax( '/UserCenter/modifyavatar', {
                'avatar': url
              }, function ( res ) {
                if( res.status == 200 ) {
                  mui.toast( res.msg );
                  $( ".head-img" ).attr( "src", path );
                  localStorage.setItem("auth_token", res.content.rc_token);
                }
              } )
              wt.close(); //关闭等待提示按钮
            } else {
              mui.toast( "上传失败：" + status );
              wt.close(); //关闭等待提示按钮
            }
          } );
        task.addData( "type", "YiShang" );
        task.addFile( e.target, {
          key: "img"
        } );
        task.start();
      } )
    }, function ( e ) {
      mui.toast( "读取拍照文件错误：" + e.message );
    } );
  } );
}
// 从相册添加文件
function appendByGallery() {
  plus.gallery.pick( function ( path ) {
    var wt = plus.nativeUI.showWaiting();
    plus.zip.compressImage( {
        src: path,
        dst: "_doc/avatar/" + path,
        quality: 20,
        overwrite: true
      }, function ( e ) {
        var task = plus.uploader.createUpload( imgRoot + 'picture/upload', {
            method: "POST"
          },
          function ( t, status ) {
            if( status == 200 ) {
              var obj = JSON.parse( t.responseText );
              var url = obj.content.url;
              $ajax( '/UserCenter/modifyavatar', {
                'avatar': url
              }, function ( res ) {
                if( res.status == 200 ) {
                  mui.toast( res.msg );
                  $( ".head-img" ).attr( "src", path );
                  localStorage.setItem("auth_token", res.content.rc_token);
                }
              } )
              wt.close(); //关闭等待提示按钮
            } else {
              mui.toast( "上传失败：" + status );
              wt.close(); //关闭等待提示按钮
            }
          } );
        task.addData( "type", "YiShang" );
        task.addFile( path, {
          key: "img"
        } );
        task.start();
      })
  }, function () {
    mui.toast( '选取图片失败' )
  }, {
    filter: "image"
  } )
}

//我的其他信息
$( ".more-cell" ).on( "tap", function () {
  $open('more_info.html','more_info.html',{my_other_message: mySet})
} )

//我的擅长
$( ".goodat-cell" ).on( "tap", function () {
  mui.openWindow( {
    url: '../../Public/detail_info.html',
    id: 'detail_info.html',
    styles: {
      top: '0px',
      bottom: '0px',
    },
    show: {
      autoShow: true,
      aniShow: 'pop-in',
      duration: '300'
    },
    extras: {},//自定义扩展参数，可以用来处理页面间传值
    waiting: { // 控制 弹出转圈框的信息
      autoShow: false, //自动显示等待框，默认为true
      title: '加载中...', //等待对话框上显示的提示内容
      options: {
        width: '100px', //等待框背景区域宽度，默认根据内容自动计算合适宽度
        height: '100px', //等待框背景区域高度，默认根据内容自动计算合适高度 ......
      }
    }
  } );
} )


//联系客服
$( ".tel-cell" ).on( "tap", function () {
  if( mui.os.plus ) {
    plus.device.dial( "0737-7221682" );
  } else {
    location.href = 'tel:0737-7221682';
  }
} )

//退出登录
$( ".mui-btn" ).on( 'tap', function () {
  var btnArray = [ '否', '是' ];
  mui.confirm( '您确定退出?', '', btnArray, function ( e ) {
    if( e.index == 1 ) {
      localStorage.removeItem( 'auth_user' );
      //    if( mui.os.ios || mui.os.ipad || mui.os.iphone ) {
      // 获取所有Webview窗口
      var curr = plus.webview.currentWebview();
      var wvs = plus.webview.all();
      for( var i = 0, len = wvs.length; i < len; i++ ) {
        //关闭除setting页面外的其他页面
        if( wvs[ i ].getURL() == curr.getURL() )
          continue;
        plus.webview.close( wvs[ i ], 'none' );
      }
      //打开选择身份页面后再关闭setting页面
      plus.webview.open( '../../Public/chooseType.html' );
      curr.close();
      //    } else
      //      plus.runtime.quit();
    }
  } ,'div')
} )

//返回
$(".mui-pull-left").on('tap',function(){
	var imgSrc = $(".head-img").attr('src');
	var view = plus.webview.getWebviewById('./Company/company.html');
	mui.fire(view,'changeAvatar',{
		src:imgSrc
	})
	mui.back();
})
