mui.init({
	swipeBack: true
})
var vm = new Vue({
	el: '.mui-content',
	data: {
		category: '',
		order_id: '',
		star: '',
		comment: '',
		listData: {}
	},
	created: function() {
		var that = this;
		mui.plusReady(function() {
			var self = plus.webview.currentWebview();
			that.order_id = self.order_id;
			that.category = self.category;
			$ajax("/ReceiptOrder/schedule", {
				'order_id': that.order_id
			}, function(res) {
				if(res.status == 200) {
					that.listData = res.content.details;
					that.listData.undertake_company = res.content.details.undertake_company.company;
					that.listData.publish_company = res.content.details.publish_company.company;
				} else {
					mui.toast(res.msg)
				}
			})
		});
	},
	methods: {
		submit: function() {
			var that = this;
			document.getElementsByTagName("textarea")[0].blur();
			if(!that.star) {
				mui.toast("请先评价星级");
				return;
			} else {
				var link = '';
				if(that.category == 1) {
					link = "/ReceiptOrder/evaluateOrder";
				} else if(that.category == 2) {
					link = "/UndertakeOrder/evaluateOrder";
				}
				$ajax(link, {
					'order_id': that.order_id,
					'star': that.star,
					'comment': that.comment
				}, function(res) {
					if(res.status == 200) {
						if(that.category == 1) {
							var view = plus.webview.getWebviewById("send_detail.html");
						} else if(that.category == 2) {
							var view = plus.webview.getWebviewById("receive_detail.html");
						}
						mui.fire(view, 'reload');
						mui.back();
					} else {
						mui.toast(res.msg);
					}
				})
			}
		}
	}
})

var evaluateRate = ['很不满意', '不满意', '一般', '满意', '非常满意'];
mui('.icons').on('tap', 'i', function() {
	var index = parseInt(this.getAttribute("data-index"));
	document.querySelector(".evaluate-rate").innerHTML = evaluateRate[index - 1];
	var parent = this.parentNode;
	var children = parent.children;
	if(this.classList.contains("mui-icon-star")) {
		for(var i = 0; i < index; i++) {
			children[i].classList.remove('mui-icon-star');
			children[i].classList.add('mui-icon-star-filled');
		}
	} else {
		for(var i = index; i < 5; i++) {
			children[i].classList.add('mui-icon-star')
			children[i].classList.remove('mui-icon-star-filled')
		}
	}
	starIndex = index;
	vm.$set(vm, 'star', starIndex);
});