mui.init({
	swipeBack: true,
});

var vm = new Vue({
	el: ".mui-content",
	data: {
		disabled: false,
		type: '',
		expressList: [],
		listData: {
			express: '',
			other_express:'',
			order_id: '',
			courier_number: '',
			self_delivery: ''
		}
	},
	created: function() {
		var that = this;
		mui.plusReady(function() {
			var self = plus.webview.currentWebview();
			that.type = self.type;
			that.listData.order_id = self.order_id;
		});
		//物流公司的下拉列表
		$ajax("/ReceiptOrder/express", {}, function(res) {
			if(res.status == 200) {
				res.content.forEach(function(item, index) {
					that.expressList[index] = {};
					that.expressList[index]['value'] = item.express_id;
					that.expressList[index]['text'] = item.express;
				})
			} else {
				mui.toast(res.msg)
			}
		})
	},
	methods: {
		//物流公司切换事件
		expressTap: function() {
			document.getElementsByTagName("input")[0].blur();
			document.getElementsByTagName("textarea")[0].blur();
			var that = this;
			var userPicker = new mui.PopPicker();
			userPicker.setData(that.expressList);
			userPicker.show(function(items) {
				that.$set(that.listData, 'express', items[0].text)
			});
		},
		//提交事件
		submit: function() {
			document.getElementsByTagName("input")[0].blur();
			document.getElementsByTagName("textarea")[0].blur();
			var link = '/ReceiptOrder/sendSample';
			var that = this;
			if(that.type == 1) {
				link = '/ReceiptOrder/sendAttach'; //发辅料
			} else if(that.type == 2) {
				link = '/ReceiptOrder/sendFabric'; //发面料
			} else if(that.type == 3) {
				link = '/ReceiptOrder/sendSample'; //发样衣
			} else if(that.type == 4) {
				link = '/UndertakeOrder/produceComplete'; //接单方完成发送成品
			} else if(that.type == 5) {
				link = '/ReceiptOrder/sendMateriel'; //红娘发前期资料
			}
			if(document.getElementById("item1").classList.contains("mui-active")) {
				if(!that.listData.express) {
					mui.toast("请选择物流公司");
					return;
				} else if(!that.listData.courier_number) {
					mui.toast("请填写物流单号");
					return;
				} else {
					that.disabled = true;
					var post_express='';
					if(that.listData.express=='其他'){
						post_express=that.listData.other_express;
					}else{
						post_express=that.listData.express;
					}
					$ajax(link, {
						order_id: that.listData.order_id,
						express: post_express,
						courier_number: that.listData.courier_number
					}, function(res) {
						if(res.status == 200) {
							if(that.type != 4) {
								var view = plus.webview.getWebviewById("send_detail.html");
							} else {
								plus.webview.getWebviewById('completed_count.html').close("none");
								var view = plus.webview.getWebviewById("receive_detail.html");
							}
							view.reload(true);
							mui.back();
						} else {
							mui.alert(res.msg,' ',['确定'],function(){},'div');
						}
						that.disabled = false;
					})
				}
			} else {
				if(!that.listData.self_delivery) {
					mui.toast("请填写留言信息");
					return;
				} else {
					that.disabled = true;
					$ajax(link, {
						order_id: that.listData.order_id,
						self_delivery: that.listData.self_delivery
					}, function(res) {
						if(res.status == 200) {
							if(that.type != 4) {
								var view = plus.webview.getWebviewById("send_detail.html");
							} else {
								var view = plus.webview.getWebviewById("receive_detail.html");
							}
							view.reload(true);
							mui.back();
						} else {
							mui.alert(res.msg,' ',['确定'],function(){},'div');
						}
						that.disabled = false;
					})
				}
			}
		}
	}
})