mui.init({
	swipeBack: true
});
var vm = new Vue({
	el: ".detail-wrapper",
	data: {
		role: localStorage.getItem("role"),
		isOwn: null, //是否是自己的单子
		order_id: '', //订单id
		listData: {
			publish_company: {}, //发单方地址信息
			undertake_company: {} //接单方地址信息
		}, //订单进度数据
		orderData: {
			public_address: {}, //发单公司收获地址信息
			details: {}, //订单详情的基础数据
			auxiliary: [], //辅面料
			main: {}, //主面料
			otherPic: [], //其他图片
			quality: {}, //品质要求
			size: [], //颜色尺码数量
			supplement: [] //其他要求
		}, //订单详情数据
		undertake_address: {
			receiver: '',
			phone: '',
			province: '',
			city: '',
			county: '',
			street: ''
		},
		history: [] //订单动态
	},
	created: function() {
		var that = this;
		mui.plusReady(function() {
			var old_back = mui.back;
			mui.back = function() {
				plus.webview.getWebviewById('./Home/home.html').reload(true);
				plus.webview.getWebviewById('./Order/order.html').reload(true);
				var view2 = plus.webview.getWebviewById('receive_list.html');
				if(view2) {
					mui.fire(view2, 'reload');
				}
				old_back();
			}
			var self = plus.webview.currentWebview();
			that.order_id = self.order_id;
//			that.order_id = 75;
			//订单进度数据
			$ajax("/UndertakeOrder/schedule", {
				'order_id': that.order_id
			}, function(res) {
				if(res.status == 200) {
					that.isOwn = res.content.is_undertake;
					that.listData = res.content.details;
					that.history = res.content.history;
					that.history.forEach(function(item, index) {
						if(item.extra) {
							for(var attr in item.extra) {
								item[attr] = item.extra[attr];
							}
						}
					})
					if(that.listData.status <= 2000) {
						document.querySelector(".progress-cell").style.display = "none";
						document.querySelector(".detail-cell").style.display = "block";
						document.querySelector(".mui-title").innerHTML = "<div style='font-size:16px';>订单详情</div>";
					}
				}
			});
			//订单详情数据
			$ajax("/Factory/OrderDetails", {
				'order_id': that.order_id
			}, function(res) {
				if(res.status == 200) {
					that.orderData = res.content;
					for(var i = 0; i < that.orderData.size.length; i++) {
						that.$set(that.orderData.size[i], 'show', true);
					}
					if(res.content.details.undertake_company == '') {
						that.orderData.details.undertake_company = '无';
					} else {
						that.orderData.details.undertake_company = res.content.details.undertake_company.company;
					};
					if(res.content.undertake_address) {
						that.undertake_address = res.content.undertake_address;
					}
					that.orderData.details.publish_company = res.content.details.publish_company.company;
				}
				that.$nextTick(function() {
					mui(".mui-scroll-wrapper").scroll({
						deceleration: 0.0005
					});
				})
			});
		})
	},
	computed: {
		statusArr: function() {
			if(this.listData.status >= 3000 && this.listData.status < 4000) {
				var a = this.listData.status.substr(1, 1); //收辅料
				var b = this.listData.status.substr(2, 1); //收面料
				var c = this.listData.status.substr(3, 1); //收样衣
				var d = this.listData.status.indexOf("1");
				return [a, b, c, d];
			} else {
				return [0, 0, 0, -1];
			}
		}
	},
	methods: {
		//打开进度详情页
		openDetail: function() {
			if(this.listData.status < 9000) {
				$open('order_progress.html', 'order_progress.html', {
					'status': this.listData.status,
					'is_receipt': 0,
					'type': this.listData.type
				})
			}
		},
		//打开窗口
		openWindow: function(url, id, datas) {
			$open(url, id, datas);
		},
		//已结订单按钮跳转订单列表
		openOrder: function() {
			mui.plusReady(function() {
				plus.webview.getWebviewById('receive_list.html').close("none");
				plus.webview.getWebviewById('./Home/home.html').close("none");
				var detailPage = plus.webview.getWebviewById('model.html');
				mui.fire(detailPage, 'pageIndex', {
					index: 1
				});
				$open("../model.html", 'model.html');
				plus.webview.currentWebview().close("none");
			})
		},
		//收藏订单、取消收藏事件
		collectOrder: function() {
			var that = this;
			var link = '';
			if(that.orderData.is_collection == 1) {
				link = "/Factory/delcollectionOrder";
			} else {
				link = "/Factory/collectionOrder";
			}
			$ajax(link, {
				order_id: that.order_id
			}, function(res) {
				if(res.status == 200) {
					if(that.orderData.is_collection == 1) {
						that.$set(that.orderData, 'is_collection', 0);
					} else {
						that.$set(that.orderData, 'is_collection', 1);
					}
				}
			})
		},
		//确认接单
		confirmReceive: function() {
			var that = this;
			var link = '';
			if(that.role == 2) {
				link = '/Factory/queryOrder';
			} else if(that.role == 3) {
				link = '/Agency/queryOrder';
			}
			if(!that.undertake_address.receiver) {
				mui.toast("请先选择收货地址");
			} else {
				that.undertake_address.order_id = that.order_id;
				mui.confirm('确定接单吗?', ' ', ['取消', '确定'], function(e) {
					if(e.index == 1) {
						$ajax(link, that.undertake_address, function(res) {
							if(res.status == 200) {
								plus.webview.currentWebview().reload(true);
							} else {
								mui.toast(res.msg);
							}
						})
					}
				}, 'div')
			}
		},
		//取消订单
		canceloffOrder: function() {
			var that = this;
			mui.confirm('确定取消订单吗', ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					$ajax("/UndertakeOrder/cancelUnderOrder", {
						order_id: that.order_id
					}, function(res) {
						if(res.status == 200) {
							var self = plus.webview.currentWebview();
							self.reload(true);
						}
					})
				}
			}, 'div')
		},
		//收辅料 收样衣 收面料
		receiveConfirm: function(index) {
			var link = '';
			var text = '';
			var that = this;
			if(index == 1) {
				link = '/UndertakeOrder/recieveAttach';
				text = "确认收到辅料？";
			} else if(index == 2) {
				link = '/UndertakeOrder/recieveFabric';
				text = "确认收到面料？";
			} else if(index == 3) {
				link = '/UndertakeOrder/recieveSample';
				text = "确认收到样衣？";
			} else if(index == 4) {
				link = '/UndertakeOrder/recieveMateriel';
				text = "确认收到前期资料？";
			}
			mui.confirm(text, ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					$ajax(link, {
						'order_id': that.order_id
					}, function(res) {
						if(res.status == 200) {
							var self = plus.webview.currentWebview();
							self.reload(true);
						} else {
							mui.alert(res.msg);
						}
					})
				}
			}, 'div')
		},
		//联系客服
		tel: function() {
			if(mui.os.plus) {
				plus.device.dial("0737-7221682");
			} else {
				location.href = 'tel:0737-7221682';
			}
		},
		//联系商家
		contact: function() {
			var _this = this;
			$open('../Chat/chat_detail.html', '../Chat/chat_detail.html', {
				targetId: _this.listData.rc_userId
			})
		},
		//订单动态里的详情跳转
		historyClick: function(type, id) {
			var that = this;
			if(type == 'comment') {
				$open('comment_detail.html', 'comment_detail.html', {
					'type': type,
					'extra_id': id,
					'order_id': that.order_id,
					'category': 2
				});
			} else {
				$open('express_detail.html', 'express_detail.html', {
					'type': type,
					'extra_id': id,
					'category': 2
				});
			}
		}
	}
})

//订单进度与详情切换
mui(".mui-title span").each(function(index, dom) {
	dom.onclick = function() {
		if(this.classList.contains('active-order')) {
			return;
		} else {
			this.classList.add("active-order");
			if(index == 0) {
				mui(".mui-title span")[1].classList.remove("active-order");
				document.querySelector(".progress-cell").style.display = "block";
				document.querySelector(".detail-cell").style.display = "none";
			} else {
				mui(".mui-title span")[0].classList.remove("active-order")
				document.querySelector(".progress-cell").style.display = "none";
				document.querySelector(".detail-cell").style.display = "block";
			}
		}
	}
})

//监听返回值刷新页面
window.addEventListener('reload', function(event) {
	$ajax("/UndertakeOrder/schedule", {
		'order_id': vm.order_id
	}, function(res) {
		if(res.status == 200) {
			vm.$set(vm, 'listData', res.content.details);
			vm.$set(vm, 'history', res.content.history);
			vm.history.forEach(function(item, index) {
				if(item.extra) {
					for(var attr in item.extra) {
						item[attr] = item.extra[attr];
					}
				}
			})
		}
	});
})

//监听地址返回值
window.addEventListener('Eaddress', function(event) {
	var address = event.detail.address;
	if(address.receiver) {
		for(var attr in address) {
			vm.$set(vm.undertake_address, attr, address[attr]);
		}
	} else {
		vm.$set(vm, 'undertake_address', {});
	}

})
//照片预览功能
mui.previewImage();