var myInfo = {};
mui.init();

$ajax( '/UserCenter/getUserInfo', {}, function ( res ) {
  if( res.status == 200 ) {
    myInfo = res.content;
    console.log(JSON.stringify( myInfo ));
  } else {
    mui.toast( res.msg );
  }
} )

var reg = /(^[1-9]([0-9]+)?(\.[0-9]{1,2})?$)|(^(0){1}$)|(^[0-9]\.[0-9]([0-9])?$)/,
_money = '';
function checkMoney(){
  _money = document.getElementById('total').value;
  if(!reg.test(_money)){
    var index = _money.indexOf('.')+3;
    document.getElementById('total').value = _money.substring(0,index)
  }
}

mui.plusReady(function () {
  mui(".btn-wrapper").on('tap','.recharge-btn',function(){
    var input = document.getElementsByTagName("input");
    for(var i = 0; i < input.length; i++) {
      input[i].blur();
    }
    var checkedId = document.querySelectorAll("input[name='money']:checked")[0].value;
    var channel_id = null;
    switch (checkedId) {
      case '1':
        channel_id = 'ALI_APP';
        break;
      case '2':
        channel_id = 'WX_APP';
        break;
      default:
        break;
    }
    if(!_money || _money == '0'){
      mui.toast('请输入金额且大于0')
    }else{
      beecloudPay(channel_id,_money);
    }
  })
})

function beecloudPay(bcChannel,money) {
  //开发者这里无需判断，直接写一个appid即可；
  var _appid = "338d07ba-b2ae-4c6b-b543-e9f27e54f942";

  /*
   * 构建支付参数
   *
   * app_id: BeeCloud控制台上创建的APP的appid，必填
   * title: 订单标题，32个字节，最长支持16个汉字；必填
   * total_fee: 支付金额，以分为单位，大于0的整数，必填
   * bill_no: 订单号，8~32位数字和/或字母组合,确保在商户系统中唯一，必填
   * optional: 扩展参数,可以传入任意数量的key/value对来补充对业务逻辑的需求;此参数会在webhook回调中返回; 选填
   * bill_timeout: 订单失效时间,必须为非零正整数，单位为秒，必须大于360。选填
   */
  var payData = {
    app_id: _appid,
    channel: bcChannel,
    title: "余额充值",
    total_fee: money * 100,
    bill_no: beecloud.genBillNo(),
    optional: {
      'type': 1,
      'uid': myInfo.uid,
      'order_id': ''
    },
    bill_timeout: 360
  };
  /*
   *  发起支付
   *  payData: 支付参数
   *  cbsuccess: 支付成功回调
   *  cberror: 支付失败回调
   */
  beecloud.payReq(payData, function(result) {
    mui.toast('支付成功');
    var newbalance = Number(money) + Number(myInfo.balance);
    var webview = plus.webview.getWebviewById('account.html');
    mui.fire(webview,'NewBalance',{newBalance:newbalance.toFixed(2)});
    mui.back();
//  console.log(result);
  }, function(e) {
    console.log(JSON.stringify(e));
  });
}

