mui.init({
	swipeBack: true
});
var vm = new Vue({
	el: ".detail-wrapper",
	data: {
		order_id: '', //订单id
		listData: {
			publish_company: {},
			undertake_company: {}
		}, //订单进度数据
		orderData: {
			public_address: {}, //发单公司收获地址信息
			details: {}, //订单详情的基础数据
			auxiliary: [], //辅面料
			main: {}, //主面料
			otherPic: [], //其他图片
			quality: {}, //品质要求
			size: [], //颜色尺码数量
			supplement: [] //其他要求
		}, //订单详情数据
		companyList: [], //接单列表
		undertake_address: {
			receiver: '',
			phone: '',
			province: '',
			city: '',
			county: '',
			street: ''
		},
		history: [] //订单动态
	},
	created: function() {
		var that = this;
		mui.plusReady(function() {
			var old_back = mui.back;
			mui.back = function() {
				plus.webview.getWebviewById('./Order/order.html').reload(true);
				plus.webview.getWebviewById('./Home/home.html').reload(true);
				old_back();
			}
			var self = plus.webview.currentWebview();
			that.order_id = self.order_id;
//			that.order_id = 75;
			//订单进度数据
			$ajax("/ReceiptOrder/schedule", {
				'order_id': that.order_id
			}, function(res) {
				if(res.status == 200) {
					that.listData = res.content.details;
					that.companyList = res.content.company;
					that.history = res.content.history;
					that.history.forEach(function(item, index) {
						if(item.extra) {
							for(var attr in item.extra) {
								item[attr] = item.extra[attr];
							}
						}
					})
				}
			});
			//订单详情数据
			$ajax("/ReceiptOrder/Orderdetails", {
				'order_id': that.order_id
			}, function(res) {
				if(res.status == 200) {
					that.orderData = res.content;
					for(var i = 0; i < that.orderData.size.length; i++) {
						that.$set(that.orderData.size[i], 'show', true);
					}
					if(res.content.undertake_address) {
						that.undertake_address = res.content.undertake_address;
					}
					that.orderData.details.undertake_company = res.content.details.undertake_company.company;
					that.orderData.details.publish_company = res.content.details.publish_company.company;
					that.$nextTick(function() {
						mui(".mui-scroll-wrapper").scroll({
							deceleration: 0.0005
						});
					})
				}
			});
		})
	},
	computed: {
		statusArr: function() {
			if(this.listData.status >= 3000 && this.listData.status < 4000) {
				var a = this.listData.status.substr(1, 1); //待发辅料
				var b = this.listData.status.substr(2, 1); //待发面料
				var c = this.listData.status.substr(3, 1); //待发样衣
				var d = this.listData.status.indexOf("0");
				return [a, b, c, d];
			}
		}
	},
	methods: {
		//打开进度详情页
		openDetail: function() {
			if(this.listData.status < 9000) {
				$open('order_progress.html', 'order_progress.html', {
					'status': this.listData.status,
					'is_receipt': 1,
					'type': this.listData.type
				})
			}
		},
		//打开窗口
		openWindow: function(url, id, datas) {
			$open(url, id, datas);
		},
		//取消订单
		canceloffOrder: function(id) {
			var that = this;
			mui.confirm('确定取消订单吗', ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					$ajax("/ReceiptOrder/cancelOrder", {
						order_id: id
					}, function(res) {
						if(res.status == 200) {
							$ajax("/ReceiptOrder/schedule", {
								'order_id': that.order_id
							}, function(res) {
								if(res.status == 200) {
									that.listData = res.content.details;
									that.companyList = res.content.company;
									that.history = res.content.history;
								}
							});
						}
					})
				}
			}, 'div')
		},
		//确认此厂
		chooseCompany: function(company_id, undertake_id) {
			var that = this;
			mui.confirm('确定选择此加工厂吗', ' ', ['取消','确定'], function(e) {
				if(e.index == 1) {
					if(that.listData.is_deposited == 1) {
						$open("../Home/pay_money.html", 'pay_money.html', {
							'order_id': that.order_id,
							'company_id': company_id,
							'undertake_id': undertake_id
						});
					} else {
						$ajax("/ReceiptOrder/queryCompany", {
							'order_id': that.order_id,
							'company_id': company_id,
							'undertake_id': undertake_id
						}, function(res) {
							if(res.status == 200) {
								var self = plus.webview.currentWebview();
								self.reload(true);
							} else {
								mui.toast(res.msg);
							}
						})
					}
				}
			}, 'div')
		},
		//收货付款
		purchasingOrder: function() {
			var that = this;
			mui.confirm('确定收货付款吗', ' ', ['取消', '确定'], function(e) {
				if(e.index == 1) {
					$ajax("/ReceiptOrder/purchasingOrder", {
						'order_id': that.order_id
					}, function(res) {
						if(res.status == 200) {
							var self = plus.webview.currentWebview();
							self.reload(true);
						} else {
							mui.toast(res.msg);
						}
					})
				}
			}, 'div')
		},
		//联系客服
		tel: function() {
			if(mui.os.plus) {
				plus.device.dial("0737-7221682");
			} else {
				location.href = 'tel:0737-7221682';
			}
		},
		//立即沟通
		chat: function(id) {
			var _this = this;
			$open('../Chat/chat_detail.html', '../Chat/chat_detail.html', {
				targetId: id
			});
		},
		//订单动态里的详情跳转
		historyClick: function(type, id) {
			var that = this;
			if(type == 'comment') {
				$open('comment_detail.html', 'comment_detail.html', {
					'type': type,
					'extra_id': id,
					'order_id': that.order_id,
					'category': 1
				});
			} else {
				$open('express_detail.html', 'express_detail.html', {
					'type': type,
					'extra_id': id,
					'category': 1
				});
			}
		}
	}
})

//订单进度与详情切换
mui(".mui-title span").each(function(index, dom) {
	dom.onclick = function() {
		if(this.classList.contains('active-order')) {
			return;
		} else {
			this.classList.add("active-order");
			if(index == 0) {
				mui(".mui-title span")[1].classList.remove("active-order")
				document.querySelector(".progress-cell").style.display = "block";
				document.querySelector(".detail-cell").style.display = "none";
			} else {
				mui(".mui-title span")[0].classList.remove("active-order")
				document.querySelector(".progress-cell").style.display = "none";
				document.querySelector(".detail-cell").style.display = "block";
			}
		}
	}
})

//监听发送辅料 发送面料 发送样衣返回值
window.addEventListener('reload', function(event) {
	$ajax("/ReceiptOrder/schedule", {
		'order_id': vm.order_id
	}, function(res) {
		if(res.status == 200) {
			vm.$set(vm, 'listData', res.content.details);
			vm.$set(vm, 'companyList', res.content.company);
			vm.$set(vm, 'history', res.content.history);
			vm.history.forEach(function(item, index) {
				if(item.extra) {
					for(var attr in item.extra) {
						item[attr] = item.extra[attr];
					}
				}
			})
		}
	});
})
//照片预览功能
mui.previewImage();